/*!
 * Distpicker v2.0.5
 * https://fengyuanchen.github.io/distpicker
 *
 * Copyright 2014-present Chen Fengyuan
 * Released under the MIT license
 *
 * Date: 2018-12-01T09:59:25.126Z
 */

(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(require('jquery')) :
  typeof define === 'function' && define.amd ? define(['jquery'], factory) :
  (factory(global.jQuery));
}(this, (function ($) { 'use strict';

  $ = $ && $.hasOwnProperty('default') ? $['default'] : $;

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  function _defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  function _createClass(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties(Constructor, staticProps);
    return Constructor;
  }

  var DEFAULTS = {
    // Selects the districts automatically.
    // 0 -> Disable autoselect
    // 1 -> Autoselect province only
    // 2 -> Autoselect province and city only
    // 3 -> Autoselect all (province, city and district)
    autoselect: 0,
    // Show placeholder.
    placeholder: true,
    // Select value. Options: 'name' and 'code'
    valueType: 'code',
    // Defines the initial value of province.
    province: '—— 省 ——',
    // Defines the initial value of city.
    city: '—— 市 ——',
    // Defines the initial value of district.
    district: '—— 区 ——'
  };

  var DISTRICTS = {
    100000:{1:'北京市',
19:'天津市',
37:'河北省',
220:'山西省',
351:'内蒙古自治区',
466:'辽宁省',
585:'吉林省',
655:'黑龙江省',
801:'上海市',
820:'江苏省',
933:'浙江省',
1046:'安徽省',
1168:'福建省',
1263:'江西省',
1375:'山东省',
1532:'河南省',
1709:'湖北省',
1827:'湖南省',
1964:'广东省',
2162:'广西壮族自治区',
2291:'海南省',
2323:'重庆市',
2367:'四川省',
2572:'贵州省',
2670:'云南省',
2816:'西藏自治区',
2898:'陕西省',
3022:'甘肃省',
3126:'青海省',
3178:'宁夏回族自治区',
3206:'新疆维吾尔自治区',
3325:'台湾省',
3716:'香港特别行政区',
3738:'澳门特别行政区'
},
1:{2:'北京市'
},
2:{3:'东城区',
4:'西城区',
5:'朝阳区',
6:'丰台区',
7:'石景山区',
8:'海淀区',
9:'门头沟区',
10:'房山区',
11:'通州区',
12:'顺义区',
13:'昌平区',
14:'大兴区',
15:'怀柔区',
16:'平谷区',
17:'密云县',
18:'延庆县'
},
19:{20:'天津市'
},
20:{21:'和平区',
22:'河东区',
23:'河西区',
24:'南开区',
25:'河北区',
26:'红桥区',
27:'东丽区',
28:'西青区',
29:'津南区',
30:'北辰区',
31:'武清区',
32:'宝坻区',
33:'滨海新区',
34:'宁河县',
35:'静海县',
36:'蓟县'
},
37:{38:'石家庄市',
61:'唐山市',
76:'秦皇岛市',
84:'邯郸市',
104:'邢台市',
124:'保定市',
150:'张家口市',
168:'承德市',
180:'沧州市',
197:'廊坊市',
208:'衡水市'
},
38:{39:'长安区',
40:'桥西区',
41:'新华区',
42:'井陉矿区',
43:'裕华区',
44:'藁城区',
45:'鹿泉区',
46:'栾城区',
47:'井陉县',
48:'正定县',
49:'行唐县',
50:'灵寿县',
51:'高邑县',
52:'深泽县',
53:'赞皇县',
54:'无极县',
55:'平山县',
56:'元氏县',
57:'赵县',
58:'辛集市',
59:'晋州市',
60:'新乐市'
},
61:{62:'路南区',
63:'路北区',
64:'古冶区',
65:'开平区',
66:'丰南区',
67:'丰润区',
68:'曹妃甸区',
69:'滦县',
70:'滦南县',
71:'乐亭县',
72:'迁西县',
73:'玉田县',
74:'遵化市',
75:'迁安市'
},
76:{77:'海港区',
78:'山海关区',
79:'北戴河区',
80:'青龙满族自治县',
81:'昌黎县',
82:'抚宁县',
83:'卢龙县'
},
84:{85:'邯山区',
86:'丛台区',
87:'复兴区',
88:'峰峰矿区',
89:'邯郸县',
90:'临漳县',
91:'成安县',
92:'大名县',
93:'涉县',
94:'磁县',
95:'肥乡县',
96:'永年县',
97:'邱县',
98:'鸡泽县',
99:'广平县',
100:'馆陶县',
101:'魏县',
102:'曲周县',
103:'武安市'
},
104:{105:'桥东区',
106:'桥西区',
107:'邢台县',
108:'临城县',
109:'内丘县',
110:'柏乡县',
111:'隆尧县',
112:'任县',
113:'南和县',
114:'宁晋县',
115:'巨鹿县',
116:'新河县',
117:'广宗县',
118:'平乡县',
119:'威县',
120:'清河县',
121:'临西县',
122:'南宫市',
123:'沙河市'
},
124:{125:'新市区',
126:'北市区',
127:'南市区',
128:'满城县',
129:'清苑县',
130:'涞水县',
131:'阜平县',
132:'徐水县',
133:'定兴县',
134:'唐县',
135:'高阳县',
136:'容城县',
137:'涞源县',
138:'望都县',
139:'安新县',
140:'易县',
141:'曲阳县',
142:'蠡县',
143:'顺平县',
144:'博野县',
145:'雄县',
146:'涿州市',
147:'定州市',
148:'安国市',
149:'高碑店市'
},
150:{151:'桥东区',
152:'桥西区',
153:'宣化区',
154:'下花园区',
155:'宣化县',
156:'张北县',
157:'康保县',
158:'沽源县',
159:'尚义县',
160:'蔚县',
161:'阳原县',
162:'怀安县',
163:'万全县',
164:'怀来县',
165:'涿鹿县',
166:'赤城县',
167:'崇礼县'
},
168:{169:'双桥区',
170:'双滦区',
171:'鹰手营子矿区',
172:'承德县',
173:'兴隆县',
174:'平泉县',
175:'滦平县',
176:'隆化县',
177:'丰宁满族自治县',
178:'宽城满族自治县',
179:'围场满族蒙古族自治县'
},
180:{181:'新华区',
182:'运河区',
183:'沧县',
184:'青县',
185:'东光县',
186:'海兴县',
187:'盐山县',
188:'肃宁县',
189:'南皮县',
190:'吴桥县',
191:'献县',
192:'孟村回族自治县',
193:'泊头市',
194:'任丘市',
195:'黄骅市',
196:'河间市'
},
197:{198:'安次区',
199:'广阳区',
200:'固安县',
201:'永清县',
202:'香河县',
203:'大城县',
204:'文安县',
205:'大厂回族自治县',
206:'霸州市',
207:'三河市'
},
208:{209:'桃城区',
210:'枣强县',
211:'武邑县',
212:'武强县',
213:'饶阳县',
214:'安平县',
215:'故城县',
216:'景县',
217:'阜城县',
218:'冀州市',
219:'深州市'
},
220:{221:'太原市',
232:'大同市',
244:'阳泉市',
250:'长治市',
264:'晋城市',
271:'朔州市',
278:'晋中市',
290:'运城市',
304:'忻州市',
319:'临汾市',
337:'吕梁市'
},
221:{222:'小店区',
223:'迎泽区',
224:'杏花岭区',
225:'尖草坪区',
226:'万柏林区',
227:'晋源区',
228:'清徐县',
229:'阳曲县',
230:'娄烦县',
231:'古交市'
},
232:{233:'城区',
234:'矿区',
235:'南郊区',
236:'新荣区',
237:'阳高县',
238:'天镇县',
239:'广灵县',
240:'灵丘县',
241:'浑源县',
242:'左云县',
243:'大同县'
},
244:{245:'城区',
246:'矿区',
247:'郊区',
248:'平定县',
249:'盂县'
},
250:{251:'城区',
252:'郊区',
253:'长治县',
254:'襄垣县',
255:'屯留县',
256:'平顺县',
257:'黎城县',
258:'壶关县',
259:'长子县',
260:'武乡县',
261:'沁县',
262:'沁源县',
263:'潞城市'
},
264:{265:'城区',
266:'沁水县',
267:'阳城县',
268:'陵川县',
269:'泽州县',
270:'高平市'
},
271:{272:'朔城区',
273:'平鲁区',
274:'山阴县',
275:'应县',
276:'右玉县',
277:'怀仁县'
},
278:{279:'榆次区',
280:'榆社县',
281:'左权县',
282:'和顺县',
283:'昔阳县',
284:'寿阳县',
285:'太谷县',
286:'祁县',
287:'平遥县',
288:'灵石县',
289:'介休市'
},
290:{291:'盐湖区',
292:'临猗县',
293:'万荣县',
294:'闻喜县',
295:'稷山县',
296:'新绛县',
297:'绛县',
298:'垣曲县',
299:'夏县',
300:'平陆县',
301:'芮城县',
302:'永济市',
303:'河津市'
},
304:{305:'忻府区',
306:'定襄县',
307:'五台县',
308:'代县',
309:'繁峙县',
310:'宁武县',
311:'静乐县',
312:'神池县',
313:'五寨县',
314:'岢岚县',
315:'河曲县',
316:'保德县',
317:'偏关县',
318:'原平市'
},
319:{320:'尧都区',
321:'曲沃县',
322:'翼城县',
323:'襄汾县',
324:'洪洞县',
325:'古县',
326:'安泽县',
327:'浮山县',
328:'吉县',
329:'乡宁县',
330:'大宁县',
331:'隰县',
332:'永和县',
333:'蒲县',
334:'汾西县',
335:'侯马市',
336:'霍州市'
},
337:{338:'离石区',
339:'文水县',
340:'交城县',
341:'兴县',
342:'临县',
343:'柳林县',
344:'石楼县',
345:'岚县',
346:'方山县',
347:'中阳县',
348:'交口县',
349:'孝义市',
350:'汾阳市'
},
351:{352:'呼和浩特市',
362:'包头市',
372:'乌海市',
376:'赤峰市',
389:'通辽市',
398:'鄂尔多斯市',
407:'呼伦贝尔市',
422:'巴彦淖尔市',
430:'乌兰察布市',
442:'兴安盟',
449:'锡林郭勒盟',
462:'阿拉善盟'
},
352:{353:'新城区',
354:'回民区',
355:'玉泉区',
356:'赛罕区',
357:'土默特左旗',
358:'托克托县',
359:'和林格尔县',
360:'清水河县',
361:'武川县'
},
362:{363:'东河区',
364:'昆都仑区',
365:'青山区',
366:'石拐区',
367:'白云鄂博矿区',
368:'九原区',
369:'土默特右旗',
370:'固阳县',
371:'达尔罕茂明安联合旗'
},
372:{373:'海勃湾区',
374:'海南区',
375:'乌达区'
},
376:{377:'红山区',
378:'元宝山区',
379:'松山区',
380:'阿鲁科尔沁旗',
381:'巴林左旗',
382:'巴林右旗',
383:'林西县',
384:'克什克腾旗',
385:'翁牛特旗',
386:'喀喇沁旗',
387:'宁城县',
388:'敖汉旗'
},
389:{390:'科尔沁区',
391:'科尔沁左翼中旗',
392:'科尔沁左翼后旗',
393:'开鲁县',
394:'库伦旗',
395:'奈曼旗',
396:'扎鲁特旗',
397:'霍林郭勒市'
},
398:{399:'东胜区',
400:'达拉特旗',
401:'准格尔旗',
402:'鄂托克前旗',
403:'鄂托克旗',
404:'杭锦旗',
405:'乌审旗',
406:'伊金霍洛旗'
},
407:{408:'海拉尔区',
409:'扎赉诺尔区',
410:'阿荣旗',
411:'莫力达瓦达斡尔族自治旗',
412:'鄂伦春自治旗',
413:'鄂温克族自治旗',
414:'陈巴尔虎旗',
415:'新巴尔虎左旗',
416:'新巴尔虎右旗',
417:'满洲里市',
418:'牙克石市',
419:'扎兰屯市',
420:'额尔古纳市',
421:'根河市'
},
422:{423:'临河区',
424:'五原县',
425:'磴口县',
426:'乌拉特前旗',
427:'乌拉特中旗',
428:'乌拉特后旗',
429:'杭锦后旗'
},
430:{431:'集宁区',
432:'卓资县',
433:'化德县',
434:'商都县',
435:'兴和县',
436:'凉城县',
437:'察哈尔右翼前旗',
438:'察哈尔右翼中旗',
439:'察哈尔右翼后旗',
440:'四子王旗',
441:'丰镇市'
},
442:{443:'乌兰浩特市',
444:'阿尔山市',
445:'科尔沁右翼前旗',
446:'科尔沁右翼中旗',
447:'扎赉特旗',
448:'突泉县'
},
449:{450:'二连浩特市',
451:'锡林浩特市',
452:'阿巴嘎旗',
453:'苏尼特左旗',
454:'苏尼特右旗',
455:'东乌珠穆沁旗',
456:'西乌珠穆沁旗',
457:'太仆寺旗',
458:'镶黄旗',
459:'正镶白旗',
460:'正蓝旗',
461:'多伦县'
},
462:{463:'阿拉善左旗',
464:'阿拉善右旗',
465:'额济纳旗'
},
466:{467:'沈阳市',
481:'大连市',
492:'鞍山市',
500:'抚顺市',
508:'本溪市',
515:'丹东市',
522:'锦州市',
530:'营口市',
537:'阜新市',
545:'辽阳市',
553:'盘锦市',
558:'铁岭市',
566:'朝阳市',
574:'葫芦岛市',
581:'金普新区'
},
467:{468:'和平区',
469:'沈河区',
470:'大东区',
471:'皇姑区',
472:'铁西区',
473:'苏家屯区',
474:'浑南区',
475:'沈北新区',
476:'于洪区',
477:'辽中县',
478:'康平县',
479:'法库县',
480:'新民市'
},
481:{482:'中山区',
483:'西岗区',
484:'沙河口区',
485:'甘井子区',
486:'旅顺口区',
487:'金州区',
488:'长海县',
489:'瓦房店市',
490:'普兰店市',
491:'庄河市'
},
492:{493:'铁东区',
494:'铁西区',
495:'立山区',
496:'千山区',
497:'台安县',
498:'岫岩满族自治县',
499:'海城市'
},
500:{501:'新抚区',
502:'东洲区',
503:'望花区',
504:'顺城区',
505:'抚顺县',
506:'新宾满族自治县',
507:'清原满族自治县'
},
508:{509:'平山区',
510:'溪湖区',
511:'明山区',
512:'南芬区',
513:'本溪满族自治县',
514:'桓仁满族自治县'
},
515:{516:'元宝区',
517:'振兴区',
518:'振安区',
519:'宽甸满族自治县',
520:'东港市',
521:'凤城市'
},
522:{523:'古塔区',
524:'凌河区',
525:'太和区',
526:'黑山县',
527:'义县',
528:'凌海市',
529:'北镇市'
},
530:{531:'站前区',
532:'西市区',
533:'鲅鱼圈区',
534:'老边区',
535:'盖州市',
536:'大石桥市'
},
537:{538:'海州区',
539:'新邱区',
540:'太平区',
541:'清河门区',
542:'细河区',
543:'阜新蒙古族自治县',
544:'彰武县'
},
545:{546:'白塔区',
547:'文圣区',
548:'宏伟区',
549:'弓长岭区',
550:'太子河区',
551:'辽阳县',
552:'灯塔市'
},
553:{554:'双台子区',
555:'兴隆台区',
556:'大洼县',
557:'盘山县'
},
558:{559:'银州区',
560:'清河区',
561:'铁岭县',
562:'西丰县',
563:'昌图县',
564:'调兵山市',
565:'开原市'
},
566:{567:'双塔区',
568:'龙城区',
569:'朝阳县',
570:'建平县',
571:'喀喇沁左翼蒙古族自治县',
572:'北票市',
573:'凌源市'
},
574:{575:'连山区',
576:'龙港区',
577:'南票区',
578:'绥中县',
579:'建昌县',
580:'兴城市'
},
581:{582:'金州新区',
583:'普湾新区',
584:'保税区'
},
585:{586:'长春市',
597:'吉林市',
607:'四平市',
614:'辽源市',
619:'通化市',
627:'白山市',
634:'松原市',
640:'白城市',
646:'延边朝鲜族自治州'
},
586:{587:'南关区',
588:'宽城区',
589:'朝阳区',
590:'二道区',
591:'绿园区',
592:'双阳区',
593:'九台区',
594:'农安县',
595:'榆树市',
596:'德惠市'
},
597:{598:'昌邑区',
599:'龙潭区',
600:'船营区',
601:'丰满区',
602:'永吉县',
603:'蛟河市',
604:'桦甸市',
605:'舒兰市',
606:'磐石市'
},
607:{608:'铁西区',
609:'铁东区',
610:'梨树县',
611:'伊通满族自治县',
612:'公主岭市',
613:'双辽市'
},
614:{615:'龙山区',
616:'西安区',
617:'东丰县',
618:'东辽县'
},
619:{620:'东昌区',
621:'二道江区',
622:'通化县',
623:'辉南县',
624:'柳河县',
625:'梅河口市',
626:'集安市'
},
627:{628:'浑江区',
629:'江源区',
630:'抚松县',
631:'靖宇县',
632:'长白朝鲜族自治县',
633:'临江市'
},
634:{635:'宁江区',
636:'前郭尔罗斯蒙古族自治县',
637:'长岭县',
638:'乾安县',
639:'扶余市'
},
640:{641:'洮北区',
642:'镇赉县',
643:'通榆县',
644:'洮南市',
645:'大安市'
},
646:{647:'延吉市',
648:'图们市',
649:'敦化市',
650:'珲春市',
651:'龙井市',
652:'和龙市',
653:'汪清县',
654:'安图县'
},
655:{656:'哈尔滨市',
675:'齐齐哈尔市',
692:'鸡西市',
702:'鹤岗市',
711:'双鸭山市',
720:'大庆市',
730:'伊春市',
748:'佳木斯市',
759:'七台河市',
764:'牡丹江市',
775:'黑河市',
782:'绥化市',
793:'大兴安岭地区'
},
656:{657:'道里区',
658:'南岗区',
659:'道外区',
660:'平房区',
661:'松北区',
662:'香坊区',
663:'呼兰区',
664:'阿城区',
665:'双城区',
666:'依兰县',
667:'方正县',
668:'宾县',
669:'巴彦县',
670:'木兰县',
671:'通河县',
672:'延寿县',
673:'尚志市',
674:'五常市'
},
675:{676:'龙沙区',
677:'建华区',
678:'铁锋区',
679:'昂昂溪区',
680:'富拉尔基区',
681:'碾子山区',
682:'梅里斯达斡尔族区',
683:'龙江县',
684:'依安县',
685:'泰来县',
686:'甘南县',
687:'富裕县',
688:'克山县',
689:'克东县',
690:'拜泉县',
691:'讷河市'
},
692:{693:'鸡冠区',
694:'恒山区',
695:'滴道区',
696:'梨树区',
697:'城子河区',
698:'麻山区',
699:'鸡东县',
700:'虎林市',
701:'密山市'
},
702:{703:'向阳区',
704:'工农区',
705:'南山区',
706:'兴安区',
707:'东山区',
708:'兴山区',
709:'萝北县',
710:'绥滨县'
},
711:{712:'尖山区',
713:'岭东区',
714:'四方台区',
715:'宝山区',
716:'集贤县',
717:'友谊县',
718:'宝清县',
719:'饶河县'
},
720:{721:'萨尔图区',
722:'龙凤区',
723:'让胡路区',
724:'红岗区',
725:'大同区',
726:'肇州县',
727:'肇源县',
728:'林甸县',
729:'杜尔伯特蒙古族自治县'
},
730:{731:'伊春区',
732:'南岔区',
733:'友好区',
734:'西林区',
735:'翠峦区',
736:'新青区',
737:'美溪区',
738:'金山屯区',
739:'五营区',
740:'乌马河区',
741:'汤旺河区',
742:'带岭区',
743:'乌伊岭区',
744:'红星区',
745:'上甘岭区',
746:'嘉荫县',
747:'铁力市'
},
748:{749:'向阳区',
750:'前进区',
751:'东风区',
752:'郊区',
753:'桦南县',
754:'桦川县',
755:'汤原县',
756:'抚远县',
757:'同江市',
758:'富锦市'
},
759:{760:'新兴区',
761:'桃山区',
762:'茄子河区',
763:'勃利县'
},
764:{765:'东安区',
766:'阳明区',
767:'爱民区',
768:'西安区',
769:'东宁县',
770:'林口县',
771:'绥芬河市',
772:'海林市',
773:'宁安市',
774:'穆棱市'
},
775:{776:'爱辉区',
777:'嫩江县',
778:'逊克县',
779:'孙吴县',
780:'北安市',
781:'五大连池市'
},
782:{783:'北林区',
784:'望奎县',
785:'兰西县',
786:'青冈县',
787:'庆安县',
788:'明水县',
789:'绥棱县',
790:'安达市',
791:'肇东市',
792:'海伦市'
},
793:{794:'加格达奇区',
795:'新林区',
796:'松岭区',
797:'呼中区',
798:'呼玛县',
799:'塔河县',
800:'漠河县'
},
801:{802:'上海市'
},
802:{803:'黄浦区',
804:'徐汇区',
805:'长宁区',
806:'静安区',
807:'普陀区',
808:'闸北区',
809:'虹口区',
810:'杨浦区',
811:'闵行区',
812:'宝山区',
813:'嘉定区',
814:'浦东新区',
815:'金山区',
816:'松江区',
817:'青浦区',
818:'奉贤区',
819:'崇明县'
},
820:{821:'南京市',
833:'无锡市',
842:'徐州市',
853:'常州市',
861:'苏州市',
871:'南通市',
880:'连云港市',
887:'淮安市',
896:'盐城市',
906:'扬州市',
913:'镇江市',
920:'泰州市',
927:'宿迁市'
},
821:{822:'玄武区',
823:'秦淮区',
824:'建邺区',
825:'鼓楼区',
826:'浦口区',
827:'栖霞区',
828:'雨花台区',
829:'江宁区',
830:'六合区',
831:'溧水区',
832:'高淳区'
},
833:{834:'崇安区',
835:'南长区',
836:'北塘区',
837:'锡山区',
838:'惠山区',
839:'滨湖区',
840:'江阴市',
841:'宜兴市'
},
842:{843:'鼓楼区',
844:'云龙区',
845:'贾汪区',
846:'泉山区',
847:'铜山区',
848:'丰县',
849:'沛县',
850:'睢宁县',
851:'新沂市',
852:'邳州市'
},
853:{854:'天宁区',
855:'钟楼区',
856:'戚墅堰区',
857:'新北区',
858:'武进区',
859:'溧阳市',
860:'金坛市'
},
861:{862:'虎丘区',
863:'吴中区',
864:'相城区',
865:'姑苏区',
866:'吴江区',
867:'常熟市',
868:'张家港市',
869:'昆山市',
870:'太仓市'
},
871:{872:'崇川区',
873:'港闸区',
874:'通州区',
875:'海安县',
876:'如东县',
877:'启东市',
878:'如皋市',
879:'海门市'
},
880:{881:'连云区',
882:'海州区',
883:'赣榆区',
884:'东海县',
885:'灌云县',
886:'灌南县'
},
887:{888:'清河区',
889:'淮安区',
890:'淮阴区',
891:'清浦区',
892:'涟水县',
893:'洪泽县',
894:'盱眙县',
895:'金湖县'
},
896:{897:'亭湖区',
898:'盐都区',
899:'响水县',
900:'滨海县',
901:'阜宁县',
902:'射阳县',
903:'建湖县',
904:'东台市',
905:'大丰市'
},
906:{907:'广陵区',
908:'邗江区',
909:'江都区',
910:'宝应县',
911:'仪征市',
912:'高邮市'
},
913:{914:'京口区',
915:'润州区',
916:'丹徒区',
917:'丹阳市',
918:'扬中市',
919:'句容市'
},
920:{921:'海陵区',
922:'高港区',
923:'姜堰区',
924:'兴化市',
925:'靖江市',
926:'泰兴市'
},
927:{928:'宿城区',
929:'宿豫区',
930:'沭阳县',
931:'泗阳县',
932:'泗洪县'
},
933:{934:'杭州市',
948:'宁波市',
960:'温州市',
972:'嘉兴市',
980:'湖州市',
986:'绍兴市',
993:'金华市',
1003:'衢州市',
1010:'舟山市',
1015:'台州市',
1025:'丽水市',
1035:'舟山群岛新区'
},
934:{935:'上城区',
936:'下城区',
937:'江干区',
938:'拱墅区',
939:'西湖区',
940:'滨江区',
941:'萧山区',
942:'余杭区',
943:'桐庐县',
944:'淳安县',
945:'建德市',
946:'富阳区',
947:'临安市'
},
948:{949:'海曙区',
950:'江东区',
951:'江北区',
952:'北仑区',
953:'镇海区',
954:'鄞州区',
955:'象山县',
956:'宁海县',
957:'余姚市',
958:'慈溪市',
959:'奉化市'
},
960:{961:'鹿城区',
962:'龙湾区',
963:'瓯海区',
964:'洞头县',
965:'永嘉县',
966:'平阳县',
967:'苍南县',
968:'文成县',
969:'泰顺县',
970:'瑞安市',
971:'乐清市'
},
972:{973:'南湖区',
974:'秀洲区',
975:'嘉善县',
976:'海盐县',
977:'海宁市',
978:'平湖市',
979:'桐乡市'
},
980:{981:'吴兴区',
982:'南浔区',
983:'德清县',
984:'长兴县',
985:'安吉县'
},
986:{987:'越城区',
988:'柯桥区',
989:'上虞区',
990:'新昌县',
991:'诸暨市',
992:'嵊州市'
},
993:{994:'婺城区',
995:'金东区',
996:'武义县',
997:'浦江县',
998:'磐安县',
999:'兰溪市',
1000:'义乌市',
1001:'东阳市',
1002:'永康市'
},
1003:{1004:'柯城区',
1005:'衢江区',
1006:'常山县',
1007:'开化县',
1008:'龙游县',
1009:'江山市'
},
1010:{1011:'定海区',
1012:'普陀区',
1013:'岱山县',
1014:'嵊泗县'
},
1015:{1016:'椒江区',
1017:'黄岩区',
1018:'路桥区',
1019:'玉环县',
1020:'三门县',
1021:'天台县',
1022:'仙居县',
1023:'温岭市',
1024:'临海市'
},
1025:{1026:'莲都区',
1027:'青田县',
1028:'缙云县',
1029:'遂昌县',
1030:'松阳县',
1031:'云和县',
1032:'庆元县',
1033:'景宁畲族自治县',
1034:'龙泉市'
},
1035:{1036:'金塘岛',
1037:'六横岛',
1038:'衢山岛',
1039:'舟山本岛西北部',
1040:'岱山岛西南部',
1041:'泗礁岛',
1042:'朱家尖岛',
1043:'洋山岛',
1044:'长涂岛',
1045:'虾峙岛'
},
1046:{1047:'合肥市',
1057:'芜湖市',
1066:'蚌埠市',
1074:'淮南市',
1081:'马鞍山市',
1088:'淮北市',
1093:'铜陵市',
1098:'安庆市',
1110:'黄山市',
1118:'滁州市',
1127:'阜阳市',
1136:'宿州市',
1142:'六安市',
1150:'亳州市',
1155:'池州市',
1160:'宣城市'
},
1047:{1048:'瑶海区',
1049:'庐阳区',
1050:'蜀山区',
1051:'包河区',
1052:'长丰县',
1053:'肥东县',
1054:'肥西县',
1055:'庐江县',
1056:'巢湖市'
},
1057:{1058:'镜湖区',
1059:'弋江区',
1060:'鸠江区',
1061:'三山区',
1062:'芜湖县',
1063:'繁昌县',
1064:'南陵县',
1065:'无为县'
},
1066:{1067:'龙子湖区',
1068:'蚌山区',
1069:'禹会区',
1070:'淮上区',
1071:'怀远县',
1072:'五河县',
1073:'固镇县'
},
1074:{1075:'大通区',
1076:'田家庵区',
1077:'谢家集区',
1078:'八公山区',
1079:'潘集区',
1080:'凤台县'
},
1081:{1082:'花山区',
1083:'雨山区',
1084:'博望区',
1085:'当涂县',
1086:'含山县',
1087:'和县'
},
1088:{1089:'杜集区',
1090:'相山区',
1091:'烈山区',
1092:'濉溪县'
},
1093:{1094:'铜官山区',
1095:'狮子山区',
1096:'郊区',
1097:'铜陵县'
},
1098:{1099:'迎江区',
1100:'大观区',
1101:'宜秀区',
1102:'怀宁县',
1103:'枞阳县',
1104:'潜山县',
1105:'太湖县',
1106:'宿松县',
1107:'望江县',
1108:'岳西县',
1109:'桐城市'
},
1110:{1111:'屯溪区',
1112:'黄山区',
1113:'徽州区',
1114:'歙县',
1115:'休宁县',
1116:'黟县',
1117:'祁门县'
},
1118:{1119:'琅琊区',
1120:'南谯区',
1121:'来安县',
1122:'全椒县',
1123:'定远县',
1124:'凤阳县',
1125:'天长市',
1126:'明光市'
},
1127:{1128:'颍州区',
1129:'颍东区',
1130:'颍泉区',
1131:'临泉县',
1132:'太和县',
1133:'阜南县',
1134:'颍上县',
1135:'界首市'
},
1136:{1137:'埇桥区',
1138:'砀山县',
1139:'萧县',
1140:'灵璧县',
1141:'泗县'
},
1142:{1143:'金安区',
1144:'裕安区',
1145:'寿县',
1146:'霍邱县',
1147:'舒城县',
1148:'金寨县',
1149:'霍山县'
},
1150:{1151:'谯城区',
1152:'涡阳县',
1153:'蒙城县',
1154:'利辛县'
},
1155:{1156:'贵池区',
1157:'东至县',
1158:'石台县',
1159:'青阳县'
},
1160:{1161:'宣州区',
1162:'郎溪县',
1163:'广德县',
1164:'泾县',
1165:'绩溪县',
1166:'旌德县',
1167:'宁国市'
},
1168:{1169:'福州市',
1183:'厦门市',
1190:'莆田市',
1196:'三明市',
1209:'泉州市',
1222:'漳州市',
1234:'南平市',
1245:'龙岩市',
1253:'宁德市'
},
1169:{1170:'鼓楼区',
1171:'台江区',
1172:'仓山区',
1173:'马尾区',
1174:'晋安区',
1175:'闽侯县',
1176:'连江县',
1177:'罗源县',
1178:'闽清县',
1179:'永泰县',
1180:'平潭县',
1181:'福清市',
1182:'长乐市'
},
1183:{1184:'思明区',
1185:'海沧区',
1186:'湖里区',
1187:'集美区',
1188:'同安区',
1189:'翔安区'
},
1190:{1191:'城厢区',
1192:'涵江区',
1193:'荔城区',
1194:'秀屿区',
1195:'仙游县'
},
1196:{1197:'梅列区',
1198:'三元区',
1199:'明溪县',
1200:'清流县',
1201:'宁化县',
1202:'大田县',
1203:'尤溪县',
1204:'沙县',
1205:'将乐县',
1206:'泰宁县',
1207:'建宁县',
1208:'永安市'
},
1209:{1210:'鲤城区',
1211:'丰泽区',
1212:'洛江区',
1213:'泉港区',
1214:'惠安县',
1215:'安溪县',
1216:'永春县',
1217:'德化县',
1218:'金门县',
1219:'石狮市',
1220:'晋江市',
1221:'南安市'
},
1222:{1223:'芗城区',
1224:'龙文区',
1225:'云霄县',
1226:'漳浦县',
1227:'诏安县',
1228:'长泰县',
1229:'东山县',
1230:'南靖县',
1231:'平和县',
1232:'华安县',
1233:'龙海市'
},
1234:{1235:'延平区',
1236:'建阳区',
1237:'顺昌县',
1238:'浦城县',
1239:'光泽县',
1240:'松溪县',
1241:'政和县',
1242:'邵武市',
1243:'武夷山市',
1244:'建瓯市'
},
1245:{1246:'新罗区',
1247:'长汀县',
1248:'永定区',
1249:'上杭县',
1250:'武平县',
1251:'连城县',
1252:'漳平市'
},
1253:{1254:'蕉城区',
1255:'霞浦县',
1256:'古田县',
1257:'屏南县',
1258:'寿宁县',
1259:'周宁县',
1260:'柘荣县',
1261:'福安市',
1262:'福鼎市'
},
1263:{1264:'南昌市',
1274:'景德镇市',
1279:'萍乡市',
1285:'九江市',
1299:'新余市',
1302:'鹰潭市',
1306:'赣州市',
1325:'吉安市',
1339:'宜春市',
1350:'抚州市',
1362:'上饶市'
},
1264:{1265:'东湖区',
1266:'西湖区',
1267:'青云谱区',
1268:'湾里区',
1269:'青山湖区',
1270:'南昌县',
1271:'新建县',
1272:'安义县',
1273:'进贤县'
},
1274:{1275:'昌江区',
1276:'珠山区',
1277:'浮梁县',
1278:'乐平市'
},
1279:{1280:'安源区',
1281:'湘东区',
1282:'莲花县',
1283:'上栗县',
1284:'芦溪县'
},
1285:{1286:'庐山区',
1287:'浔阳区',
1288:'九江县',
1289:'武宁县',
1290:'修水县',
1291:'永修县',
1292:'德安县',
1293:'星子县',
1294:'都昌县',
1295:'湖口县',
1296:'彭泽县',
1297:'瑞昌市',
1298:'共青城市'
},
1299:{1300:'渝水区',
1301:'分宜县'
},
1302:{1303:'月湖区',
1304:'余江县',
1305:'贵溪市'
},
1306:{1307:'章贡区',
1308:'南康区',
1309:'赣县',
1310:'信丰县',
1311:'大余县',
1312:'上犹县',
1313:'崇义县',
1314:'安远县',
1315:'龙南县',
1316:'定南县',
1317:'全南县',
1318:'宁都县',
1319:'于都县',
1320:'兴国县',
1321:'会昌县',
1322:'寻乌县',
1323:'石城县',
1324:'瑞金市'
},
1325:{1326:'吉州区',
1327:'青原区',
1328:'吉安县',
1329:'吉水县',
1330:'峡江县',
1331:'新干县',
1332:'永丰县',
1333:'泰和县',
1334:'遂川县',
1335:'万安县',
1336:'安福县',
1337:'永新县',
1338:'井冈山市'
},
1339:{1340:'袁州区',
1341:'奉新县',
1342:'万载县',
1343:'上高县',
1344:'宜丰县',
1345:'靖安县',
1346:'铜鼓县',
1347:'丰城市',
1348:'樟树市',
1349:'高安市'
},
1350:{1351:'临川区',
1352:'南城县',
1353:'黎川县',
1354:'南丰县',
1355:'崇仁县',
1356:'乐安县',
1357:'宜黄县',
1358:'金溪县',
1359:'资溪县',
1360:'东乡县',
1361:'广昌县'
},
1362:{1363:'信州区',
1364:'上饶县',
1365:'广丰县',
1366:'玉山县',
1367:'铅山县',
1368:'横峰县',
1369:'弋阳县',
1370:'余干县',
1371:'鄱阳县',
1372:'万年县',
1373:'婺源县',
1374:'德兴市'
},
1375:{1376:'济南市',
1387:'青岛市',
1399:'淄博市',
1408:'枣庄市',
1415:'东营市',
1421:'烟台市',
1434:'潍坊市',
1447:'济宁市',
1459:'泰安市',
1466:'威海市',
1471:'日照市',
1476:'莱芜市',
1479:'临沂市',
1492:'德州市',
1504:'聊城市',
1513:'滨州市',
1522:'菏泽市'
},
1376:{1377:'历下区',
1378:'市中区',
1379:'槐荫区',
1380:'天桥区',
1381:'历城区',
1382:'长清区',
1383:'平阴县',
1384:'济阳县',
1385:'商河县',
1386:'章丘市'
},
1387:{1388:'市南区',
1389:'市北区',
1390:'黄岛区',
1391:'崂山区',
1392:'李沧区',
1393:'城阳区',
1394:'胶州市',
1395:'即墨市',
1396:'平度市',
1397:'莱西市',
1398:'西海岸新区'
},
1399:{1400:'淄川区',
1401:'张店区',
1402:'博山区',
1403:'临淄区',
1404:'周村区',
1405:'桓台县',
1406:'高青县',
1407:'沂源县'
},
1408:{1409:'市中区',
1410:'薛城区',
1411:'峄城区',
1412:'台儿庄区',
1413:'山亭区',
1414:'滕州市'
},
1415:{1416:'东营区',
1417:'河口区',
1418:'垦利县',
1419:'利津县',
1420:'广饶县'
},
1421:{1422:'芝罘区',
1423:'福山区',
1424:'牟平区',
1425:'莱山区',
1426:'长岛县',
1427:'龙口市',
1428:'莱阳市',
1429:'莱州市',
1430:'蓬莱市',
1431:'招远市',
1432:'栖霞市',
1433:'海阳市'
},
1434:{1435:'潍城区',
1436:'寒亭区',
1437:'坊子区',
1438:'奎文区',
1439:'临朐县',
1440:'昌乐县',
1441:'青州市',
1442:'诸城市',
1443:'寿光市',
1444:'安丘市',
1445:'高密市',
1446:'昌邑市'
},
1447:{1448:'任城区',
1449:'兖州区',
1450:'微山县',
1451:'鱼台县',
1452:'金乡县',
1453:'嘉祥县',
1454:'汶上县',
1455:'泗水县',
1456:'梁山县',
1457:'曲阜市',
1458:'邹城市'
},
1459:{1460:'泰山区',
1461:'岱岳区',
1462:'宁阳县',
1463:'东平县',
1464:'新泰市',
1465:'肥城市'
},
1466:{1467:'环翠区',
1468:'文登区',
1469:'荣成市',
1470:'乳山市'
},
1471:{1472:'东港区',
1473:'岚山区',
1474:'五莲县',
1475:'莒县'
},
1476:{1477:'莱城区',
1478:'钢城区'
},
1479:{1480:'兰山区',
1481:'罗庄区',
1482:'河东区',
1483:'沂南县',
1484:'郯城县',
1485:'沂水县',
1486:'兰陵县',
1487:'费县',
1488:'平邑县',
1489:'莒南县',
1490:'蒙阴县',
1491:'临沭县'
},
1492:{1493:'德城区',
1494:'陵城区',
1495:'宁津县',
1496:'庆云县',
1497:'临邑县',
1498:'齐河县',
1499:'平原县',
1500:'夏津县',
1501:'武城县',
1502:'乐陵市',
1503:'禹城市'
},
1504:{1505:'东昌府区',
1506:'阳谷县',
1507:'莘县',
1508:'茌平县',
1509:'东阿县',
1510:'冠县',
1511:'高唐县',
1512:'临清市'
},
1513:{1514:'滨城区',
1515:'沾化区',
1516:'惠民县',
1517:'阳信县',
1518:'无棣县',
1519:'博兴县',
1520:'邹平县',
1521:'北海新区'
},
1522:{1523:'牡丹区',
1524:'曹县',
1525:'单县',
1526:'成武县',
1527:'巨野县',
1528:'郓城县',
1529:'鄄城县',
1530:'定陶县',
1531:'东明县'
},
1532:{1533:'郑州市',
1546:'开封市',
1556:'洛阳市',
1572:'平顶山市',
1583:'安阳市',
1593:'鹤壁市',
1599:'新乡市',
1612:'焦作市',
1623:'濮阳市',
1630:'许昌市',
1637:'漯河市',
1643:'三门峡市',
1650:'南阳市',
1664:'商丘市',
1674:'信阳市',
1685:'周口市',
1696:'驻马店市',
1707:'直辖县级'
},
1533:{1534:'中原区',
1535:'二七区',
1536:'管城回族区',
1537:'金水区',
1538:'上街区',
1539:'惠济区',
1540:'中牟县',
1541:'巩义市',
1542:'荥阳市',
1543:'新密市',
1544:'新郑市',
1545:'登封市'
},
1546:{1547:'龙亭区',
1548:'顺河回族区',
1549:'鼓楼区',
1550:'禹王台区',
1551:'祥符区',
1552:'杞县',
1553:'通许县',
1554:'尉氏县',
1555:'兰考县'
},
1556:{1557:'老城区',
1558:'西工区',
1559:'瀍河回族区',
1560:'涧西区',
1561:'吉利区',
1562:'洛龙区',
1563:'孟津县',
1564:'新安县',
1565:'栾川县',
1566:'嵩县',
1567:'汝阳县',
1568:'宜阳县',
1569:'洛宁县',
1570:'伊川县',
1571:'偃师市'
},
1572:{1573:'新华区',
1574:'卫东区',
1575:'石龙区',
1576:'湛河区',
1577:'宝丰县',
1578:'叶县',
1579:'鲁山县',
1580:'郏县',
1581:'舞钢市',
1582:'汝州市'
},
1583:{1584:'文峰区',
1585:'北关区',
1586:'殷都区',
1587:'龙安区',
1588:'安阳县',
1589:'汤阴县',
1590:'滑县',
1591:'内黄县',
1592:'林州市'
},
1593:{1594:'鹤山区',
1595:'山城区',
1596:'淇滨区',
1597:'浚县',
1598:'淇县'
},
1599:{1600:'红旗区',
1601:'卫滨区',
1602:'凤泉区',
1603:'牧野区',
1604:'新乡县',
1605:'获嘉县',
1606:'原阳县',
1607:'延津县',
1608:'封丘县',
1609:'长垣县',
1610:'卫辉市',
1611:'辉县市'
},
1612:{1613:'解放区',
1614:'中站区',
1615:'马村区',
1616:'山阳区',
1617:'修武县',
1618:'博爱县',
1619:'武陟县',
1620:'温县',
1621:'沁阳市',
1622:'孟州市'
},
1623:{1624:'华龙区',
1625:'清丰县',
1626:'南乐县',
1627:'范县',
1628:'台前县',
1629:'濮阳县'
},
1630:{1631:'魏都区',
1632:'许昌县',
1633:'鄢陵县',
1634:'襄城县',
1635:'禹州市',
1636:'长葛市'
},
1637:{1638:'源汇区',
1639:'郾城区',
1640:'召陵区',
1641:'舞阳县',
1642:'临颍县'
},
1643:{1644:'湖滨区',
1645:'渑池县',
1646:'陕县',
1647:'卢氏县',
1648:'义马市',
1649:'灵宝市'
},
1650:{1651:'宛城区',
1652:'卧龙区',
1653:'南召县',
1654:'方城县',
1655:'西峡县',
1656:'镇平县',
1657:'内乡县',
1658:'淅川县',
1659:'社旗县',
1660:'唐河县',
1661:'新野县',
1662:'桐柏县',
1663:'邓州市'
},
1664:{1665:'梁园区',
1666:'睢阳区',
1667:'民权县',
1668:'睢县',
1669:'宁陵县',
1670:'柘城县',
1671:'虞城县',
1672:'夏邑县',
1673:'永城市'
},
1674:{1675:'浉河区',
1676:'平桥区',
1677:'罗山县',
1678:'光山县',
1679:'新县',
1680:'商城县',
1681:'固始县',
1682:'潢川县',
1683:'淮滨县',
1684:'息县'
},
1685:{1686:'川汇区',
1687:'扶沟县',
1688:'西华县',
1689:'商水县',
1690:'沈丘县',
1691:'郸城县',
1692:'淮阳县',
1693:'太康县',
1694:'鹿邑县',
1695:'项城市'
},
1696:{1697:'驿城区',
1698:'西平县',
1699:'上蔡县',
1700:'平舆县',
1701:'正阳县',
1702:'确山县',
1703:'泌阳县',
1704:'汝南县',
1705:'遂平县',
1706:'新蔡县'
},
1707:{1708:'济源市'
},
1709:{1710:'武汉市',
1724:'黄石市',
1731:'十堰市',
1740:'宜昌市',
1754:'襄阳市',
1764:'鄂州市',
1768:'荆门市',
1774:'孝感市',
1782:'荆州市',
1791:'黄冈市',
1802:'咸宁市',
1809:'随州市',
1813:'恩施土家族苗族自治州',
1822:'直辖县级'
},
1710:{1711:'江岸区',
1712:'江汉区',
1713:'硚口区',
1714:'汉阳区',
1715:'武昌区',
1716:'青山区',
1717:'洪山区',
1718:'东西湖区',
1719:'汉南区',
1720:'蔡甸区',
1721:'江夏区',
1722:'黄陂区',
1723:'新洲区'
},
1724:{1725:'黄石港区',
1726:'西塞山区',
1727:'下陆区',
1728:'铁山区',
1729:'阳新县',
1730:'大冶市'
},
1731:{1732:'茅箭区',
1733:'张湾区',
1734:'郧阳区',
1735:'郧西县',
1736:'竹山县',
1737:'竹溪县',
1738:'房县',
1739:'丹江口市'
},
1740:{1741:'西陵区',
1742:'伍家岗区',
1743:'点军区',
1744:'猇亭区',
1745:'夷陵区',
1746:'远安县',
1747:'兴山县',
1748:'秭归县',
1749:'长阳土家族自治县',
1750:'五峰土家族自治县',
1751:'宜都市',
1752:'当阳市',
1753:'枝江市'
},
1754:{1755:'襄城区',
1756:'樊城区',
1757:'襄州区',
1758:'南漳县',
1759:'谷城县',
1760:'保康县',
1761:'老河口市',
1762:'枣阳市',
1763:'宜城市'
},
1764:{1765:'梁子湖区',
1766:'华容区',
1767:'鄂城区'
},
1768:{1769:'东宝区',
1770:'掇刀区',
1771:'京山县',
1772:'沙洋县',
1773:'钟祥市'
},
1774:{1775:'孝南区',
1776:'孝昌县',
1777:'大悟县',
1778:'云梦县',
1779:'应城市',
1780:'安陆市',
1781:'汉川市'
},
1782:{1783:'沙市区',
1784:'荆州区',
1785:'公安县',
1786:'监利县',
1787:'江陵县',
1788:'石首市',
1789:'洪湖市',
1790:'松滋市'
},
1791:{1792:'黄州区',
1793:'团风县',
1794:'红安县',
1795:'罗田县',
1796:'英山县',
1797:'浠水县',
1798:'蕲春县',
1799:'黄梅县',
1800:'麻城市',
1801:'武穴市'
},
1802:{1803:'咸安区',
1804:'嘉鱼县',
1805:'通城县',
1806:'崇阳县',
1807:'通山县',
1808:'赤壁市'
},
1809:{1810:'曾都区',
1811:'随县',
1812:'广水市'
},
1813:{1814:'恩施市',
1815:'利川市',
1816:'建始县',
1817:'巴东县',
1818:'宣恩县',
1819:'咸丰县',
1820:'来凤县',
1821:'鹤峰县'
},
1822:{1823:'仙桃市',
1824:'潜江市',
1825:'天门市',
1826:'神农架林区'
},
1827:{1828:'长沙市',
1838:'株洲市',
1848:'湘潭市',
1854:'衡阳市',
1867:'邵阳市',
1880:'岳阳市',
1890:'常德市',
1900:'张家界市',
1905:'益阳市',
1912:'郴州市',
1924:'永州市',
1936:'怀化市',
1949:'娄底市',
1955:'湘西土家族苗族自治州'
},
1828:{1829:'芙蓉区',
1830:'天心区',
1831:'岳麓区',
1832:'开福区',
1833:'雨花区',
1834:'望城区',
1835:'长沙县',
1836:'宁乡县',
1837:'浏阳市'
},
1838:{1839:'荷塘区',
1840:'芦淞区',
1841:'石峰区',
1842:'天元区',
1843:'株洲县',
1844:'攸县',
1845:'茶陵县',
1846:'炎陵县',
1847:'醴陵市'
},
1848:{1849:'雨湖区',
1850:'岳塘区',
1851:'湘潭县',
1852:'湘乡市',
1853:'韶山市'
},
1854:{1855:'珠晖区',
1856:'雁峰区',
1857:'石鼓区',
1858:'蒸湘区',
1859:'南岳区',
1860:'衡阳县',
1861:'衡南县',
1862:'衡山县',
1863:'衡东县',
1864:'祁东县',
1865:'耒阳市',
1866:'常宁市'
},
1867:{1868:'双清区',
1869:'大祥区',
1870:'北塔区',
1871:'邵东县',
1872:'新邵县',
1873:'邵阳县',
1874:'隆回县',
1875:'洞口县',
1876:'绥宁县',
1877:'新宁县',
1878:'城步苗族自治县',
1879:'武冈市'
},
1880:{1881:'岳阳楼区',
1882:'云溪区',
1883:'君山区',
1884:'岳阳县',
1885:'华容县',
1886:'湘阴县',
1887:'平江县',
1888:'汨罗市',
1889:'临湘市'
},
1890:{1891:'武陵区',
1892:'鼎城区',
1893:'安乡县',
1894:'汉寿县',
1895:'澧县',
1896:'临澧县',
1897:'桃源县',
1898:'石门县',
1899:'津市市'
},
1900:{1901:'永定区',
1902:'武陵源区',
1903:'慈利县',
1904:'桑植县'
},
1905:{1906:'资阳区',
1907:'赫山区',
1908:'南县',
1909:'桃江县',
1910:'安化县',
1911:'沅江市'
},
1912:{1913:'北湖区',
1914:'苏仙区',
1915:'桂阳县',
1916:'宜章县',
1917:'永兴县',
1918:'嘉禾县',
1919:'临武县',
1920:'汝城县',
1921:'桂东县',
1922:'安仁县',
1923:'资兴市'
},
1924:{1925:'零陵区',
1926:'冷水滩区',
1927:'祁阳县',
1928:'东安县',
1929:'双牌县',
1930:'道县',
1931:'江永县',
1932:'宁远县',
1933:'蓝山县',
1934:'新田县',
1935:'江华瑶族自治县'
},
1936:{1937:'鹤城区',
1938:'中方县',
1939:'沅陵县',
1940:'辰溪县',
1941:'溆浦县',
1942:'会同县',
1943:'麻阳苗族自治县',
1944:'新晃侗族自治县',
1945:'芷江侗族自治县',
1946:'靖州苗族侗族自治县',
1947:'通道侗族自治县',
1948:'洪江市'
},
1949:{1950:'娄星区',
1951:'双峰县',
1952:'新化县',
1953:'冷水江市',
1954:'涟源市'
},
1955:{1956:'吉首市',
1957:'泸溪县',
1958:'凤凰县',
1959:'花垣县',
1960:'保靖县',
1961:'古丈县',
1962:'永顺县',
1963:'龙山县'
},
1964:{1965:'广州市',
1977:'韶关市',
1988:'深圳市',
1999:'珠海市',
2003:'汕头市',
2011:'佛山市',
2017:'江门市',
2025:'湛江市',
2035:'茂名市',
2041:'肇庆市',
2050:'惠州市',
2056:'梅州市',
2065:'汕尾市',
2070:'河源市',
2077:'阳江市',
2082:'清远市',
2091:'东莞市',
2123:'中山市',
2146:'潮州市',
2150:'揭阳市',
2156:'云浮市'
},
1965:{1966:'荔湾区',
1967:'越秀区',
1968:'海珠区',
1969:'天河区',
1970:'白云区',
1971:'黄埔区',
1972:'番禺区',
1973:'花都区',
1974:'南沙区',
1975:'从化区',
1976:'增城区'
},
1977:{1978:'武江区',
1979:'浈江区',
1980:'曲江区',
1981:'始兴县',
1982:'仁化县',
1983:'翁源县',
1984:'乳源瑶族自治县',
1985:'新丰县',
1986:'乐昌市',
1987:'南雄市'
},
1988:{1989:'罗湖区',
1990:'福田区',
1991:'南山区',
1992:'宝安区',
1993:'龙岗区',
1994:'盐田区',
1995:'光明新区',
1996:'坪山新区',
1997:'大鹏新区',
1998:'龙华新区'
},
1999:{2000:'香洲区',
2001:'斗门区',
2002:'金湾区'
},
2003:{2004:'龙湖区',
2005:'金平区',
2006:'濠江区',
2007:'潮阳区',
2008:'潮南区',
2009:'澄海区',
2010:'南澳县'
},
2011:{2012:'禅城区',
2013:'南海区',
2014:'顺德区',
2015:'三水区',
2016:'高明区'
},
2017:{2018:'蓬江区',
2019:'江海区',
2020:'新会区',
2021:'台山市',
2022:'开平市',
2023:'鹤山市',
2024:'恩平市'
},
2025:{2026:'赤坎区',
2027:'霞山区',
2028:'坡头区',
2029:'麻章区',
2030:'遂溪县',
2031:'徐闻县',
2032:'廉江市',
2033:'雷州市',
2034:'吴川市'
},
2035:{2036:'茂南区',
2037:'电白区',
2038:'高州市',
2039:'化州市',
2040:'信宜市'
},
2041:{2042:'端州区',
2043:'鼎湖区',
2044:'广宁县',
2045:'怀集县',
2046:'封开县',
2047:'德庆县',
2048:'高要市',
2049:'四会市'
},
2050:{2051:'惠城区',
2052:'惠阳区',
2053:'博罗县',
2054:'惠东县',
2055:'龙门县'
},
2056:{2057:'梅江区',
2058:'梅县区',
2059:'大埔县',
2060:'丰顺县',
2061:'五华县',
2062:'平远县',
2063:'蕉岭县',
2064:'兴宁市'
},
2065:{2066:'城区',
2067:'海丰县',
2068:'陆河县',
2069:'陆丰市'
},
2070:{2071:'源城区',
2072:'紫金县',
2073:'龙川县',
2074:'连平县',
2075:'和平县',
2076:'东源县'
},
2077:{2078:'江城区',
2079:'阳东区',
2080:'阳西县',
2081:'阳春市'
},
2082:{2083:'清城区',
2084:'清新区',
2085:'佛冈县',
2086:'阳山县',
2087:'连山壮族瑶族自治县',
2088:'连南瑶族自治县',
2089:'英德市',
2090:'连州市'
},
2091:{2092:'莞城区',
2093:'南城区',
2094:'万江区',
2095:'石碣镇',
2096:'石龙镇',
2097:'茶山镇',
2098:'石排镇',
2099:'企石镇',
2100:'横沥镇',
2101:'桥头镇',
2102:'谢岗镇',
2103:'东坑镇',
2104:'常平镇',
2105:'寮步镇',
2106:'大朗镇',
2107:'麻涌镇',
2108:'中堂镇',
2109:'高埗镇',
2110:'樟木头镇',
2111:'大岭山镇',
2112:'望牛墩镇',
2113:'黄江镇',
2114:'洪梅镇',
2115:'清溪镇',
2116:'沙田镇',
2117:'道滘镇',
2118:'塘厦镇',
2119:'虎门镇',
2120:'厚街镇',
2121:'凤岗镇',
2122:'长安镇'
},
2123:{2124:'石岐区',
2125:'南区',
2126:'五桂山区',
2127:'火炬开发区',
2128:'黄圃镇',
2129:'南头镇',
2130:'东凤镇',
2131:'阜沙镇',
2132:'小榄镇',
2133:'东升镇',
2134:'古镇镇',
2135:'横栏镇',
2136:'三角镇',
2137:'民众镇',
2138:'南朗镇',
2139:'港口镇',
2140:'大涌镇',
2141:'沙溪镇',
2142:'三乡镇',
2143:'板芙镇',
2144:'神湾镇',
2145:'坦洲镇'
},
2146:{2147:'湘桥区',
2148:'潮安区',
2149:'饶平县'
},
2150:{2151:'榕城区',
2152:'揭东区',
2153:'揭西县',
2154:'惠来县',
2155:'普宁市'
},
2156:{2157:'云城区',
2158:'云安区',
2159:'新兴县',
2160:'郁南县',
2161:'罗定市'
},
2162:{2163:'南宁市',
2177:'柳州市',
2189:'桂林市',
2207:'梧州市',
2215:'北海市',
2220:'防城港市',
2225:'钦州市',
2230:'贵港市',
2236:'玉林市',
2245:'百色市',
2258:'贺州市',
2264:'河池市',
2276:'来宾市',
2283:'崇左市'
},
2163:{2164:'兴宁区',
2165:'青秀区',
2166:'江南区',
2167:'西乡塘区',
2168:'良庆区',
2169:'邕宁区',
2170:'武鸣县',
2171:'隆安县',
2172:'马山县',
2173:'上林县',
2174:'宾阳县',
2175:'横县',
2176:'埌东新区'
},
2177:{2178:'城中区',
2179:'鱼峰区',
2180:'柳南区',
2181:'柳北区',
2182:'柳江县',
2183:'柳城县',
2184:'鹿寨县',
2185:'融安县',
2186:'融水苗族自治县',
2187:'三江侗族自治县',
2188:'柳东新区'
},
2189:{2190:'秀峰区',
2191:'叠彩区',
2192:'象山区',
2193:'七星区',
2194:'雁山区',
2195:'临桂区',
2196:'阳朔县',
2197:'灵川县',
2198:'全州县',
2199:'兴安县',
2200:'永福县',
2201:'灌阳县',
2202:'龙胜各族自治县',
2203:'资源县',
2204:'平乐县',
2205:'荔浦县',
2206:'恭城瑶族自治县'
},
2207:{2208:'万秀区',
2209:'长洲区',
2210:'龙圩区',
2211:'苍梧县',
2212:'藤县',
2213:'蒙山县',
2214:'岑溪市'
},
2215:{2216:'海城区',
2217:'银海区',
2218:'铁山港区',
2219:'合浦县'
},
2220:{2221:'港口区',
2222:'防城区',
2223:'上思县',
2224:'东兴市'
},
2225:{2226:'钦南区',
2227:'钦北区',
2228:'灵山县',
2229:'浦北县'
},
2230:{2231:'港北区',
2232:'港南区',
2233:'覃塘区',
2234:'平南县',
2235:'桂平市'
},
2236:{2237:'玉州区',
2238:'福绵区',
2239:'玉东新区',
2240:'容县',
2241:'陆川县',
2242:'博白县',
2243:'兴业县',
2244:'北流市'
},
2245:{2246:'右江区',
2247:'田阳县',
2248:'田东县',
2249:'平果县',
2250:'德保县',
2251:'靖西县',
2252:'那坡县',
2253:'凌云县',
2254:'乐业县',
2255:'田林县',
2256:'西林县',
2257:'隆林各族自治县'
},
2258:{2259:'八步区',
2260:'昭平县',
2261:'钟山县',
2262:'富川瑶族自治县',
2263:'平桂管理区'
},
2264:{2265:'金城江区',
2266:'南丹县',
2267:'天峨县',
2268:'凤山县',
2269:'东兰县',
2270:'罗城仫佬族自治县',
2271:'环江毛南族自治县',
2272:'巴马瑶族自治县',
2273:'都安瑶族自治县',
2274:'大化瑶族自治县',
2275:'宜州市'
},
2276:{2277:'兴宾区',
2278:'忻城县',
2279:'象州县',
2280:'武宣县',
2281:'金秀瑶族自治县',
2282:'合山市'
},
2283:{2284:'江州区',
2285:'扶绥县',
2286:'宁明县',
2287:'龙州县',
2288:'大新县',
2289:'天等县',
2290:'凭祥市'
},
2291:{2292:'海口市',
2297:'三亚市',
2302:'三沙市',
2306:'直辖县级'
},
2292:{2293:'秀英区',
2294:'龙华区',
2295:'琼山区',
2296:'美兰区'
},
2297:{2298:'海棠区',
2299:'吉阳区',
2300:'天涯区',
2301:'崖州区'
},
2302:{2303:'西沙群岛',
2304:'南沙群岛',
2305:'中沙群岛'
},
2306:{2307:'五指山市',
2308:'琼海市',
2309:'儋州市',
2310:'文昌市',
2311:'万宁市',
2312:'东方市',
2313:'定安县',
2314:'屯昌县',
2315:'澄迈县',
2316:'临高县',
2317:'白沙黎族自治县',
2318:'昌江黎族自治县',
2319:'乐东黎族自治县',
2320:'陵水黎族自治县',
2321:'保亭黎族苗族自治县',
2322:'琼中黎族苗族自治县'
},
2323:{2324:'重庆市',
2363:'两江新区'
},
2324:{2325:'万州区',
2326:'涪陵区',
2327:'渝中区',
2328:'大渡口区',
2329:'江北区',
2330:'沙坪坝区',
2331:'九龙坡区',
2332:'南岸区',
2333:'北碚区',
2334:'綦江区',
2335:'大足区',
2336:'渝北区',
2337:'巴南区',
2338:'黔江区',
2339:'长寿区',
2340:'江津区',
2341:'合川区',
2342:'永川区',
2343:'南川区',
2344:'璧山区',
2345:'铜梁区',
2346:'潼南县',
2347:'荣昌县',
2348:'梁平县',
2349:'城口县',
2350:'丰都县',
2351:'垫江县',
2352:'武隆县',
2353:'忠县',
2354:'开县',
2355:'云阳县',
2356:'奉节县',
2357:'巫山县',
2358:'巫溪县',
2359:'石柱土家族自治县',
2360:'秀山土家族苗族自治县',
2361:'酉阳土家族苗族自治县',
2362:'彭水苗族土家族自治县'
},
2363:{2364:'北部新区',
2365:'保税港区',
2366:'工业园区'
},
2367:{2368:'成都市',
2388:'自贡市',
2395:'攀枝花市',
2401:'泸州市',
2409:'德阳市',
2416:'绵阳市',
2426:'广元市',
2434:'遂宁市',
2440:'内江市',
2446:'乐山市',
2458:'南充市',
2468:'眉山市',
2475:'宜宾市',
2486:'广安市',
2493:'达州市',
2501:'雅安市',
2510:'巴中市',
2516:'资阳市',
2521:'阿坝藏族羌族自治州',
2535:'甘孜藏族自治州',
2554:'凉山彝族自治州'
},
2368:{2369:'锦江区',
2370:'青羊区',
2371:'金牛区',
2372:'武侯区',
2373:'成华区',
2374:'龙泉驿区',
2375:'青白江区',
2376:'新都区',
2377:'温江区',
2378:'金堂县',
2379:'双流县',
2380:'郫县',
2381:'大邑县',
2382:'蒲江县',
2383:'新津县',
2384:'都江堰市',
2385:'彭州市',
2386:'邛崃市',
2387:'崇州市'
},
2388:{2389:'自流井区',
2390:'贡井区',
2391:'大安区',
2392:'沿滩区',
2393:'荣县',
2394:'富顺县'
},
2395:{2396:'东区',
2397:'西区',
2398:'仁和区',
2399:'米易县',
2400:'盐边县'
},
2401:{2402:'江阳区',
2403:'纳溪区',
2404:'龙马潭区',
2405:'泸县',
2406:'合江县',
2407:'叙永县',
2408:'古蔺县'
},
2409:{2410:'旌阳区',
2411:'中江县',
2412:'罗江县',
2413:'广汉市',
2414:'什邡市',
2415:'绵竹市'
},
2416:{2417:'涪城区',
2418:'游仙区',
2419:'三台县',
2420:'盐亭县',
2421:'安县',
2422:'梓潼县',
2423:'北川羌族自治县',
2424:'平武县',
2425:'江油市'
},
2426:{2427:'利州区',
2428:'昭化区',
2429:'朝天区',
2430:'旺苍县',
2431:'青川县',
2432:'剑阁县',
2433:'苍溪县'
},
2434:{2435:'船山区',
2436:'安居区',
2437:'蓬溪县',
2438:'射洪县',
2439:'大英县'
},
2440:{2441:'市中区',
2442:'东兴区',
2443:'威远县',
2444:'资中县',
2445:'隆昌县'
},
2446:{2447:'市中区',
2448:'沙湾区',
2449:'五通桥区',
2450:'金口河区',
2451:'犍为县',
2452:'井研县',
2453:'夹江县',
2454:'沐川县',
2455:'峨边彝族自治县',
2456:'马边彝族自治县',
2457:'峨眉山市'
},
2458:{2459:'顺庆区',
2460:'高坪区',
2461:'嘉陵区',
2462:'南部县',
2463:'营山县',
2464:'蓬安县',
2465:'仪陇县',
2466:'西充县',
2467:'阆中市'
},
2468:{2469:'东坡区',
2470:'彭山区',
2471:'仁寿县',
2472:'洪雅县',
2473:'丹棱县',
2474:'青神县'
},
2475:{2476:'翠屏区',
2477:'南溪区',
2478:'宜宾县',
2479:'江安县',
2480:'长宁县',
2481:'高县',
2482:'珙县',
2483:'筠连县',
2484:'兴文县',
2485:'屏山县'
},
2486:{2487:'广安区',
2488:'前锋区',
2489:'岳池县',
2490:'武胜县',
2491:'邻水县',
2492:'华蓥市'
},
2493:{2494:'通川区',
2495:'达川区',
2496:'宣汉县',
2497:'开江县',
2498:'大竹县',
2499:'渠县',
2500:'万源市'
},
2501:{2502:'雨城区',
2503:'名山区',
2504:'荥经县',
2505:'汉源县',
2506:'石棉县',
2507:'天全县',
2508:'芦山县',
2509:'宝兴县'
},
2510:{2511:'巴州区',
2512:'恩阳区',
2513:'通江县',
2514:'南江县',
2515:'平昌县'
},
2516:{2517:'雁江区',
2518:'安岳县',
2519:'乐至县',
2520:'简阳市'
},
2521:{2522:'汶川县',
2523:'理县',
2524:'茂县',
2525:'松潘县',
2526:'九寨沟县',
2527:'金川县',
2528:'小金县',
2529:'黑水县',
2530:'马尔康县',
2531:'壤塘县',
2532:'阿坝县',
2533:'若尔盖县',
2534:'红原县'
},
2535:{2536:'康定县',
2537:'泸定县',
2538:'丹巴县',
2539:'九龙县',
2540:'雅江县',
2541:'道孚县',
2542:'炉霍县',
2543:'甘孜县',
2544:'新龙县',
2545:'德格县',
2546:'白玉县',
2547:'石渠县',
2548:'色达县',
2549:'理塘县',
2550:'巴塘县',
2551:'乡城县',
2552:'稻城县',
2553:'得荣县'
},
2554:{2555:'西昌市',
2556:'木里藏族自治县',
2557:'盐源县',
2558:'德昌县',
2559:'会理县',
2560:'会东县',
2561:'宁南县',
2562:'普格县',
2563:'布拖县',
2564:'金阳县',
2565:'昭觉县',
2566:'喜德县',
2567:'冕宁县',
2568:'越西县',
2569:'甘洛县',
2570:'美姑县',
2571:'雷波县'
},
2572:{2573:'贵阳市',
2584:'六盘水市',
2589:'遵义市',
2604:'安顺市',
2611:'毕节市',
2620:'铜仁市',
2631:'黔西南布依族苗族自治州',
2640:'黔东南苗族侗族自治州',
2657:'黔南布依族苗族自治州'
},
2573:{2574:'南明区',
2575:'云岩区',
2576:'花溪区',
2577:'乌当区',
2578:'白云区',
2579:'观山湖区',
2580:'开阳县',
2581:'息烽县',
2582:'修文县',
2583:'清镇市'
},
2584:{2585:'钟山区',
2586:'六枝特区',
2587:'水城县',
2588:'盘县'
},
2589:{2590:'红花岗区',
2591:'汇川区',
2592:'遵义县',
2593:'桐梓县',
2594:'绥阳县',
2595:'正安县',
2596:'道真仡佬族苗族自治县',
2597:'务川仡佬族苗族自治县',
2598:'凤冈县',
2599:'湄潭县',
2600:'余庆县',
2601:'习水县',
2602:'赤水市',
2603:'仁怀市'
},
2604:{2605:'西秀区',
2606:'平坝区',
2607:'普定县',
2608:'镇宁布依族苗族自治县',
2609:'关岭布依族苗族自治县',
2610:'紫云苗族布依族自治县'
},
2611:{2612:'七星关区',
2613:'大方县',
2614:'黔西县',
2615:'金沙县',
2616:'织金县',
2617:'纳雍县',
2618:'威宁彝族回族苗族自治县',
2619:'赫章县'
},
2620:{2621:'碧江区',
2622:'万山区',
2623:'江口县',
2624:'玉屏侗族自治县',
2625:'石阡县',
2626:'思南县',
2627:'印江土家族苗族自治县',
2628:'德江县',
2629:'沿河土家族自治县',
2630:'松桃苗族自治县'
},
2631:{2632:'兴义市 ',
2633:'兴仁县',
2634:'普安县',
2635:'晴隆县',
2636:'贞丰县',
2637:'望谟县',
2638:'册亨县',
2639:'安龙县'
},
2640:{2641:'凯里市',
2642:'黄平县',
2643:'施秉县',
2644:'三穗县',
2645:'镇远县',
2646:'岑巩县',
2647:'天柱县',
2648:'锦屏县',
2649:'剑河县',
2650:'台江县',
2651:'黎平县',
2652:'榕江县',
2653:'从江县',
2654:'雷山县',
2655:'麻江县',
2656:'丹寨县'
},
2657:{2658:'都匀市',
2659:'福泉市',
2660:'荔波县',
2661:'贵定县',
2662:'瓮安县',
2663:'独山县',
2664:'平塘县',
2665:'罗甸县',
2666:'长顺县',
2667:'龙里县',
2668:'惠水县',
2669:'三都水族自治县'
},
2670:{2671:'昆明市',
2686:'曲靖市',
2696:'玉溪市',
2706:'保山市',
2712:'昭通市',
2724:'丽江市',
2730:'普洱市',
2741:'临沧市',
2750:'楚雄彝族自治州',
2761:'红河哈尼族彝族自治州',
2775:'文山壮族苗族自治州',
2784:'西双版纳傣族自治州',
2788:'大理白族自治州',
2801:'德宏傣族景颇族自治州',
2807:'怒江傈僳族自治州',
2812:'迪庆藏族自治州'
},
2671:{2672:'五华区',
2673:'盘龙区',
2674:'官渡区',
2675:'西山区',
2676:'东川区',
2677:'呈贡区',
2678:'晋宁县',
2679:'富民县',
2680:'宜良县',
2681:'石林彝族自治县',
2682:'嵩明县',
2683:'禄劝彝族苗族自治县',
2684:'寻甸回族彝族自治县 ',
2685:'安宁市'
},
2686:{2687:'麒麟区',
2688:'马龙县',
2689:'陆良县',
2690:'师宗县',
2691:'罗平县',
2692:'富源县',
2693:'会泽县',
2694:'沾益县',
2695:'宣威市'
},
2696:{2697:'红塔区',
2698:'江川县',
2699:'澄江县',
2700:'通海县',
2701:'华宁县',
2702:'易门县',
2703:'峨山彝族自治县',
2704:'新平彝族傣族自治县',
2705:'元江哈尼族彝族傣族自治县'
},
2706:{2707:'隆阳区',
2708:'施甸县',
2709:'腾冲县',
2710:'龙陵县',
2711:'昌宁县'
},
2712:{2713:'昭阳区',
2714:'鲁甸县',
2715:'巧家县',
2716:'盐津县',
2717:'大关县',
2718:'永善县',
2719:'绥江县',
2720:'镇雄县',
2721:'彝良县',
2722:'威信县',
2723:'水富县'
},
2724:{2725:'古城区',
2726:'玉龙纳西族自治县',
2727:'永胜县',
2728:'华坪县',
2729:'宁蒗彝族自治县'
},
2730:{2731:'思茅区',
2732:'宁洱哈尼族彝族自治县',
2733:'墨江哈尼族自治县',
2734:'景东彝族自治县',
2735:'景谷傣族彝族自治县',
2736:'镇沅彝族哈尼族拉祜族自治县',
2737:'江城哈尼族彝族自治县',
2738:'孟连傣族拉祜族佤族自治县',
2739:'澜沧拉祜族自治县',
2740:'西盟佤族自治县'
},
2741:{2742:'临翔区',
2743:'凤庆县',
2744:'云县',
2745:'永德县',
2746:'镇康县',
2747:'双江拉祜族佤族布朗族傣族自治县',
2748:'耿马傣族佤族自治县',
2749:'沧源佤族自治县'
},
2750:{2751:'楚雄市',
2752:'双柏县',
2753:'牟定县',
2754:'南华县',
2755:'姚安县',
2756:'大姚县',
2757:'永仁县',
2758:'元谋县',
2759:'武定县',
2760:'禄丰县'
},
2761:{2762:'个旧市',
2763:'开远市',
2764:'蒙自市',
2765:'弥勒市',
2766:'屏边苗族自治县',
2767:'建水县',
2768:'石屏县',
2769:'泸西县',
2770:'元阳县',
2771:'红河县',
2772:'金平苗族瑶族傣族自治县',
2773:'绿春县',
2774:'河口瑶族自治县'
},
2775:{2776:'文山市',
2777:'砚山县',
2778:'西畴县',
2779:'麻栗坡县',
2780:'马关县',
2781:'丘北县',
2782:'广南县',
2783:'富宁县'
},
2784:{2785:'景洪市',
2786:'勐海县',
2787:'勐腊县'
},
2788:{2789:'大理市',
2790:'漾濞彝族自治县',
2791:'祥云县',
2792:'宾川县',
2793:'弥渡县',
2794:'南涧彝族自治县',
2795:'巍山彝族回族自治县',
2796:'永平县',
2797:'云龙县',
2798:'洱源县',
2799:'剑川县',
2800:'鹤庆县'
},
2801:{2802:'瑞丽市',
2803:'芒市',
2804:'梁河县',
2805:'盈江县',
2806:'陇川县'
},
2807:{2808:'泸水县',
2809:'福贡县',
2810:'贡山独龙族怒族自治县',
2811:'兰坪白族普米族自治县'
},
2812:{2813:'香格里拉市',
2814:'德钦县',
2815:'维西傈僳族自治县'
},
2816:{2817:'拉萨市',
2826:'日喀则市',
2845:'昌都市',
2857:'山南地区',
2870:'那曲地区',
2882:'阿里地区',
2890:'林芝地区'
},
2817:{2818:'城关区',
2819:'林周县',
2820:'当雄县',
2821:'尼木县',
2822:'曲水县',
2823:'堆龙德庆县',
2824:'达孜县',
2825:'墨竹工卡县'
},
2826:{2827:'桑珠孜区',
2828:'南木林县',
2829:'江孜县',
2830:'定日县',
2831:'萨迦县',
2832:'拉孜县',
2833:'昂仁县',
2834:'谢通门县',
2835:'白朗县',
2836:'仁布县',
2837:'康马县',
2838:'定结县',
2839:'仲巴县',
2840:'亚东县',
2841:'吉隆县',
2842:'聂拉木县',
2843:'萨嘎县',
2844:'岗巴县'
},
2845:{2846:'卡若区',
2847:'江达县',
2848:'贡觉县',
2849:'类乌齐县',
2850:'丁青县',
2851:'察雅县',
2852:'八宿县',
2853:'左贡县',
2854:'芒康县',
2855:'洛隆县',
2856:'边坝县'
},
2857:{2858:'乃东县',
2859:'扎囊县',
2860:'贡嘎县',
2861:'桑日县',
2862:'琼结县',
2863:'曲松县',
2864:'措美县',
2865:'洛扎县',
2866:'加查县',
2867:'隆子县',
2868:'错那县',
2869:'浪卡子县'
},
2870:{2871:'那曲县',
2872:'嘉黎县',
2873:'比如县',
2874:'聂荣县',
2875:'安多县',
2876:'申扎县',
2877:'索县',
2878:'班戈县',
2879:'巴青县',
2880:'尼玛县',
2881:'双湖县'
},
2882:{2883:'普兰县',
2884:'札达县',
2885:'噶尔县',
2886:'日土县',
2887:'革吉县',
2888:'改则县',
2889:'措勤县'
},
2890:{2891:'林芝县',
2892:'工布江达县',
2893:'米林县',
2894:'墨脱县',
2895:'波密县',
2896:'察隅县',
2897:'朗县'
},
2898:{2899:'西安市',
2913:'铜川市',
2918:'宝鸡市',
2931:'咸阳市',
2946:'渭南市',
2958:'延安市',
2972:'汉中市',
2984:'榆林市',
2997:'安康市',
3008:'商洛市',
3016:'西咸新区'
},
2899:{2900:'新城区',
2901:'碑林区',
2902:'莲湖区',
2903:'灞桥区',
2904:'未央区',
2905:'雁塔区',
2906:'阎良区',
2907:'临潼区',
2908:'长安区',
2909:'蓝田县',
2910:'周至县',
2911:'户县',
2912:'高陵区'
},
2913:{2914:'王益区',
2915:'印台区',
2916:'耀州区',
2917:'宜君县'
},
2918:{2919:'渭滨区',
2920:'金台区',
2921:'陈仓区',
2922:'凤翔县',
2923:'岐山县',
2924:'扶风县',
2925:'眉县',
2926:'陇县',
2927:'千阳县',
2928:'麟游县',
2929:'凤县',
2930:'太白县'
},
2931:{2932:'秦都区',
2933:'杨陵区',
2934:'渭城区',
2935:'三原县',
2936:'泾阳县',
2937:'乾县',
2938:'礼泉县',
2939:'永寿县',
2940:'彬县',
2941:'长武县',
2942:'旬邑县',
2943:'淳化县',
2944:'武功县',
2945:'兴平市'
},
2946:{2947:'临渭区',
2948:'华县',
2949:'潼关县',
2950:'大荔县',
2951:'合阳县',
2952:'澄城县',
2953:'蒲城县',
2954:'白水县',
2955:'富平县',
2956:'韩城市',
2957:'华阴市'
},
2958:{2959:'宝塔区',
2960:'延长县',
2961:'延川县',
2962:'子长县',
2963:'安塞县',
2964:'志丹县',
2965:'吴起县',
2966:'甘泉县',
2967:'富县',
2968:'洛川县',
2969:'宜川县',
2970:'黄龙县',
2971:'黄陵县'
},
2972:{2973:'汉台区',
2974:'南郑县',
2975:'城固县',
2976:'洋县',
2977:'西乡县',
2978:'勉县',
2979:'宁强县',
2980:'略阳县',
2981:'镇巴县',
2982:'留坝县',
2983:'佛坪县'
},
2984:{2985:'榆阳区',
2986:'神木县',
2987:'府谷县',
2988:'横山县',
2989:'靖边县',
2990:'定边县',
2991:'绥德县',
2992:'米脂县',
2993:'佳县',
2994:'吴堡县',
2995:'清涧县',
2996:'子洲县'
},
2997:{2998:'汉滨区',
2999:'汉阴县',
3000:'石泉县',
3001:'宁陕县',
3002:'紫阳县',
3003:'岚皋县',
3004:'平利县',
3005:'镇坪县',
3006:'旬阳县',
3007:'白河县'
},
3008:{3009:'商州区',
3010:'洛南县',
3011:'丹凤县',
3012:'商南县',
3013:'山阳县',
3014:'镇安县',
3015:'柞水县'
},
3016:{3017:'空港新城',
3018:'沣东新城',
3019:'秦汉新城',
3020:'沣西新城',
3021:'泾河新城'
},
3022:{3023:'兰州市',
3032:'嘉峪关市',
3036:'金昌市',
3039:'白银市',
3045:'天水市',
3053:'武威市',
3058:'张掖市',
3065:'平凉市',
3073:'酒泉市',
3081:'庆阳市',
3090:'定西市',
3098:'陇南市',
3108:'临夏回族自治州',
3117:'甘南藏族自治州'
},
3023:{3024:'城关区',
3025:'七里河区',
3026:'西固区',
3027:'安宁区',
3028:'红古区',
3029:'永登县',
3030:'皋兰县',
3031:'榆中县'
},
3032:{3033:'雄关区',
3034:'长城区',
3035:'镜铁区'
},
3036:{3037:'金川区',
3038:'永昌县'
},
3039:{3040:'白银区',
3041:'平川区',
3042:'靖远县',
3043:'会宁县',
3044:'景泰县'
},
3045:{3046:'秦州区',
3047:'麦积区',
3048:'清水县',
3049:'秦安县',
3050:'甘谷县',
3051:'武山县',
3052:'张家川回族自治县'
},
3053:{3054:'凉州区',
3055:'民勤县',
3056:'古浪县',
3057:'天祝藏族自治县'
},
3058:{3059:'甘州区',
3060:'肃南裕固族自治县',
3061:'民乐县',
3062:'临泽县',
3063:'高台县',
3064:'山丹县'
},
3065:{3066:'崆峒区',
3067:'泾川县',
3068:'灵台县',
3069:'崇信县',
3070:'华亭县',
3071:'庄浪县',
3072:'静宁县'
},
3073:{3074:'肃州区',
3075:'金塔县',
3076:'瓜州县',
3077:'肃北蒙古族自治县',
3078:'阿克塞哈萨克族自治县',
3079:'玉门市',
3080:'敦煌市'
},
3081:{3082:'西峰区',
3083:'庆城县',
3084:'环县',
3085:'华池县',
3086:'合水县',
3087:'正宁县',
3088:'宁县',
3089:'镇原县'
},
3090:{3091:'安定区',
3092:'通渭县',
3093:'陇西县',
3094:'渭源县',
3095:'临洮县',
3096:'漳县',
3097:'岷县'
},
3098:{3099:'武都区',
3100:'成县',
3101:'文县',
3102:'宕昌县',
3103:'康县',
3104:'西和县',
3105:'礼县',
3106:'徽县',
3107:'两当县'
},
3108:{3109:'临夏市',
3110:'临夏县',
3111:'康乐县',
3112:'永靖县',
3113:'广河县',
3114:'和政县',
3115:'东乡族自治县',
3116:'积石山保安族东乡族撒拉族自治县'
},
3117:{3118:'合作市',
3119:'临潭县',
3120:'卓尼县',
3121:'舟曲县',
3122:'迭部县',
3123:'玛曲县',
3124:'碌曲县',
3125:'夏河县'
},
3126:{3127:'西宁市',
3135:'海东市',
3142:'海北藏族自治州',
3147:'黄南藏族自治州',
3152:'海南藏族自治州',
3158:'果洛藏族自治州',
3165:'玉树藏族自治州',
3172:'海西蒙古族藏族自治州'
},
3127:{3128:'城东区',
3129:'城中区',
3130:'城西区',
3131:'城北区',
3132:'大通回族土族自治县',
3133:'湟中县',
3134:'湟源县'
},
3135:{3136:'乐都区',
3137:'平安县',
3138:'民和回族土族自治县',
3139:'互助土族自治县',
3140:'化隆回族自治县',
3141:'循化撒拉族自治县'
},
3142:{3143:'门源回族自治县',
3144:'祁连县',
3145:'海晏县',
3146:'刚察县'
},
3147:{3148:'同仁县',
3149:'尖扎县',
3150:'泽库县',
3151:'河南蒙古族自治县'
},
3152:{3153:'共和县',
3154:'同德县',
3155:'贵德县',
3156:'兴海县',
3157:'贵南县'
},
3158:{3159:'玛沁县',
3160:'班玛县',
3161:'甘德县',
3162:'达日县',
3163:'久治县',
3164:'玛多县'
},
3165:{3166:'玉树市',
3167:'杂多县',
3168:'称多县',
3169:'治多县',
3170:'囊谦县',
3171:'曲麻莱县'
},
3172:{3173:'格尔木市',
3174:'德令哈市',
3175:'乌兰县',
3176:'都兰县',
3177:'天峻县'
},
3178:{3179:'银川市',
3186:'石嘴山市',
3190:'吴忠市',
3196:'固原市',
3202:'中卫市'
},
3179:{3180:'兴庆区',
3181:'西夏区',
3182:'金凤区',
3183:'永宁县',
3184:'贺兰县',
3185:'灵武市'
},
3186:{3187:'大武口区',
3188:'惠农区',
3189:'平罗县'
},
3190:{3191:'利通区',
3192:'红寺堡区',
3193:'盐池县',
3194:'同心县',
3195:'青铜峡市'
},
3196:{3197:'原州区',
3198:'西吉县',
3199:'隆德县',
3200:'泾源县',
3201:'彭阳县'
},
3202:{3203:'沙坡头区',
3204:'中宁县',
3205:'海原县'
},
3206:{3207:'乌鲁木齐市',
3216:'克拉玛依市',
3221:'吐鲁番地区',
3225:'哈密地区',
3229:'昌吉回族自治州',
3237:'博尔塔拉蒙古自治州',
3242:'巴音郭楞蒙古自治州',
3252:'阿克苏地区',
3262:'克孜勒苏柯尔克孜自治州',
3267:'喀什地区',
3280:'和田地区',
3289:'伊犁哈萨克自治州',
3301:'塔城地区',
3309:'阿勒泰地区',
3317:'直辖县级'
},
3207:{3208:'天山区',
3209:'沙依巴克区',
3210:'新市区',
3211:'水磨沟区',
3212:'头屯河区',
3213:'达坂城区',
3214:'米东区',
3215:'乌鲁木齐县'
},
3216:{3217:'独山子区',
3218:'克拉玛依区',
3219:'白碱滩区',
3220:'乌尔禾区'
},
3221:{3222:'吐鲁番市',
3223:'鄯善县',
3224:'托克逊县'
},
3225:{3226:'哈密市',
3227:'巴里坤哈萨克自治县',
3228:'伊吾县'
},
3229:{3230:'昌吉市',
3231:'阜康市',
3232:'呼图壁县',
3233:'玛纳斯县',
3234:'奇台县',
3235:'吉木萨尔县',
3236:'木垒哈萨克自治县'
},
3237:{3238:'博乐市',
3239:'阿拉山口市',
3240:'精河县',
3241:'温泉县'
},
3242:{3243:'库尔勒市',
3244:'轮台县',
3245:'尉犁县',
3246:'若羌县',
3247:'且末县',
3248:'焉耆回族自治县',
3249:'和静县',
3250:'和硕县',
3251:'博湖县'
},
3252:{3253:'阿克苏市',
3254:'温宿县',
3255:'库车县',
3256:'沙雅县',
3257:'新和县',
3258:'拜城县',
3259:'乌什县',
3260:'阿瓦提县',
3261:'柯坪县'
},
3262:{3263:'阿图什市',
3264:'阿克陶县',
3265:'阿合奇县',
3266:'乌恰县'
},
3267:{3268:'喀什市',
3269:'疏附县',
3270:'疏勒县',
3271:'英吉沙县',
3272:'泽普县',
3273:'莎车县',
3274:'叶城县',
3275:'麦盖提县',
3276:'岳普湖县',
3277:'伽师县',
3278:'巴楚县',
3279:'塔什库尔干塔吉克自治县'
},
3280:{3281:'和田市',
3282:'和田县',
3283:'墨玉县',
3284:'皮山县',
3285:'洛浦县',
3286:'策勒县',
3287:'于田县',
3288:'民丰县'
},
3289:{3290:'伊宁市',
3291:'奎屯市',
3292:'霍尔果斯市',
3293:'伊宁县',
3294:'察布查尔锡伯自治县',
3295:'霍城县',
3296:'巩留县',
3297:'新源县',
3298:'昭苏县',
3299:'特克斯县',
3300:'尼勒克县'
},
3301:{3302:'塔城市',
3303:'乌苏市',
3304:'额敏县',
3305:'沙湾县',
3306:'托里县',
3307:'裕民县',
3308:'和布克赛尔蒙古自治县'
},
3309:{3310:'阿勒泰市',
3311:'布尔津县',
3312:'富蕴县',
3313:'福海县',
3314:'哈巴河县',
3315:'青河县',
3316:'吉木乃县'
},
3317:{3318:'石河子市',
3319:'阿拉尔市',
3320:'图木舒克市',
3321:'五家渠市',
3322:'北屯市',
3323:'铁门关市',
3324:'双河市'
},
3325:{3326:'台北市',
3339:'高雄市',
3378:'基隆市',
3386:'台中市',
3416:'台南市',
3454:'新竹市',
3458:'嘉义市',
3461:'新北市',
3491:'宜兰县',
3504:'桃园县',
3518:'新竹县',
3532:'苗栗县',
3551:'彰化县',
3578:'南投县',
3592:'云林县',
3613:'嘉义县',
3632:'屏东县',
3666:'台东县',
3683:'花莲县',
3697:'澎湖县',
3704:'金门县',
3711:'连江县'
},
3326:{3327:'松山区',
3328:'信义区',
3329:'大安区',
3330:'中山区',
3331:'中正区',
3332:'大同区',
3333:'万华区',
3334:'文山区',
3335:'南港区',
3336:'内湖区',
3337:'士林区',
3338:'北投区'
},
3339:{3340:'盐埕区',
3341:'鼓山区',
3342:'左营区',
3343:'楠梓区',
3344:'三民区',
3345:'新兴区',
3346:'前金区',
3347:'苓雅区',
3348:'前镇区',
3349:'旗津区',
3350:'小港区',
3351:'凤山区',
3352:'林园区',
3353:'大寮区',
3354:'大树区',
3355:'大社区',
3356:'仁武区',
3357:'鸟松区',
3358:'冈山区',
3359:'桥头区',
3360:'燕巢区',
3361:'田寮区',
3362:'阿莲区',
3363:'路竹区',
3364:'湖内区',
3365:'茄萣区',
3366:'永安区',
3367:'弥陀区',
3368:'梓官区',
3369:'旗山区',
3370:'美浓区',
3371:'六龟区',
3372:'甲仙区',
3373:'杉林区',
3374:'内门区',
3375:'茂林区',
3376:'桃源区',
3377:'那玛夏区'
},
3378:{3379:'中正区',
3380:'七堵区',
3381:'暖暖区',
3382:'仁爱区',
3383:'中山区',
3384:'安乐区',
3385:'信义区'
},
3386:{3387:'中区',
3388:'东区',
3389:'南区',
3390:'西区',
3391:'北区',
3392:'西屯区',
3393:'南屯区',
3394:'北屯区',
3395:'丰原区',
3396:'东势区',
3397:'大甲区',
3398:'清水区',
3399:'沙鹿区',
3400:'梧栖区',
3401:'后里区',
3402:'神冈区',
3403:'潭子区',
3404:'大雅区',
3405:'新社区',
3406:'石冈区',
3407:'外埔区',
3408:'大安区',
3409:'乌日区',
3410:'大肚区',
3411:'龙井区',
3412:'雾峰区',
3413:'太平区',
3414:'大里区',
3415:'和平区'
},
3416:{3417:'东区',
3418:'南区',
3419:'北区',
3420:'安南区',
3421:'安平区',
3422:'中西区',
3423:'新营区',
3424:'盐水区',
3425:'白河区',
3426:'柳营区',
3427:'后壁区',
3428:'东山区',
3429:'麻豆区',
3430:'下营区',
3431:'六甲区',
3432:'官田区',
3433:'大内区',
3434:'佳里区',
3435:'学甲区',
3436:'西港区',
3437:'七股区',
3438:'将军区',
3439:'北门区',
3440:'新化区',
3441:'善化区',
3442:'新市区',
3443:'安定区',
3444:'山上区',
3445:'玉井区',
3446:'楠西区',
3447:'南化区',
3448:'左镇区',
3449:'仁德区',
3450:'归仁区',
3451:'关庙区',
3452:'龙崎区',
3453:'永康区'
},
3454:{3455:'东区',
3456:'北区',
3457:'香山区'
},
3458:{3459:'东区',
3460:'西区'
},
3461:{3462:'板桥区',
3463:'三重区',
3464:'中和区',
3465:'永和区',
3466:'新庄区',
3467:'新店区',
3468:'树林区',
3469:'莺歌区',
3470:'三峡区',
3471:'淡水区',
3472:'汐止区',
3473:'瑞芳区',
3474:'土城区',
3475:'芦洲区',
3476:'五股区',
3477:'泰山区',
3478:'林口区',
3479:'深坑区',
3480:'石碇区',
3481:'坪林区',
3482:'三芝区',
3483:'石门区',
3484:'八里区',
3485:'平溪区',
3486:'双溪区',
3487:'贡寮区',
3488:'金山区',
3489:'万里区',
3490:'乌来区'
},
3491:{3492:'宜兰市',
3493:'罗东镇',
3494:'苏澳镇',
3495:'头城镇',
3496:'礁溪乡',
3497:'壮围乡',
3498:'员山乡',
3499:'冬山乡',
3500:'五结乡',
3501:'三星乡',
3502:'大同乡',
3503:'南澳乡'
},
3504:{3505:'桃园市',
3506:'中坜市',
3507:'平镇市',
3508:'八德市',
3509:'杨梅市',
3510:'芦竹市',
3511:'大溪镇',
3512:'大园乡',
3513:'龟山乡',
3514:'龙潭乡',
3515:'新屋乡',
3516:'观音乡',
3517:'复兴乡'
},
3518:{3519:'竹北市',
3520:'竹东镇',
3521:'新埔镇',
3522:'关西镇',
3523:'湖口乡',
3524:'新丰乡',
3525:'芎林乡',
3526:'横山乡',
3527:'北埔乡',
3528:'宝山乡',
3529:'峨眉乡',
3530:'尖石乡',
3531:'五峰乡'
},
3532:{3533:'苗栗市',
3534:'苑里镇',
3535:'通霄镇',
3536:'竹南镇',
3537:'头份镇',
3538:'后龙镇',
3539:'卓兰镇',
3540:'大湖乡',
3541:'公馆乡',
3542:'铜锣乡',
3543:'南庄乡',
3544:'头屋乡',
3545:'三义乡',
3546:'西湖乡',
3547:'造桥乡',
3548:'三湾乡',
3549:'狮潭乡',
3550:'泰安乡'
},
3551:{3552:'彰化市',
3553:'鹿港镇',
3554:'和美镇',
3555:'线西乡',
3556:'伸港乡',
3557:'福兴乡',
3558:'秀水乡',
3559:'花坛乡',
3560:'芬园乡',
3561:'员林镇',
3562:'溪湖镇',
3563:'田中镇',
3564:'大村乡',
3565:'埔盐乡',
3566:'埔心乡',
3567:'永靖乡',
3568:'社头乡',
3569:'二水乡',
3570:'北斗镇',
3571:'二林镇',
3572:'田尾乡',
3573:'埤头乡',
3574:'芳苑乡',
3575:'大城乡',
3576:'竹塘乡',
3577:'溪州乡'
},
3578:{3579:'南投市',
3580:'埔里镇',
3581:'草屯镇',
3582:'竹山镇',
3583:'集集镇',
3584:'名间乡',
3585:'鹿谷乡',
3586:'中寮乡',
3587:'鱼池乡',
3588:'国姓乡',
3589:'水里乡',
3590:'信义乡',
3591:'仁爱乡'
},
3592:{3593:'斗六市',
3594:'斗南镇',
3595:'虎尾镇',
3596:'西螺镇',
3597:'土库镇',
3598:'北港镇',
3599:'古坑乡',
3600:'大埤乡',
3601:'莿桐乡',
3602:'林内乡',
3603:'二仑乡',
3604:'仑背乡',
3605:'麦寮乡',
3606:'东势乡',
3607:'褒忠乡',
3608:'台西乡',
3609:'元长乡',
3610:'四湖乡',
3611:'口湖乡',
3612:'水林乡'
},
3613:{3614:'太保市',
3615:'朴子市',
3616:'布袋镇',
3617:'大林镇',
3618:'民雄乡',
3619:'溪口乡',
3620:'新港乡',
3621:'六脚乡',
3622:'东石乡',
3623:'义竹乡',
3624:'鹿草乡',
3625:'水上乡',
3626:'中埔乡',
3627:'竹崎乡',
3628:'梅山乡',
3629:'番路乡',
3630:'大埔乡',
3631:'阿里山乡'
},
3632:{3633:'屏东市',
3634:'潮州镇',
3635:'东港镇',
3636:'恒春镇',
3637:'万丹乡',
3638:'长治乡',
3639:'麟洛乡',
3640:'九如乡',
3641:'里港乡',
3642:'盐埔乡',
3643:'高树乡',
3644:'万峦乡',
3645:'内埔乡',
3646:'竹田乡',
3647:'新埤乡',
3648:'枋寮乡',
3649:'新园乡',
3650:'崁顶乡',
3651:'林边乡',
3652:'南州乡',
3653:'佳冬乡',
3654:'琉球乡',
3655:'车城乡',
3656:'满州乡',
3657:'枋山乡',
3658:'三地门乡',
3659:'雾台乡',
3660:'玛家乡',
3661:'泰武乡',
3662:'来义乡',
3663:'春日乡',
3664:'狮子乡',
3665:'牡丹乡'
},
3666:{3667:'台东市',
3668:'成功镇',
3669:'关山镇',
3670:'卑南乡',
3671:'鹿野乡',
3672:'池上乡',
3673:'东河乡',
3674:'长滨乡',
3675:'太麻里乡',
3676:'大武乡',
3677:'绿岛乡',
3678:'海端乡',
3679:'延平乡',
3680:'金峰乡',
3681:'达仁乡',
3682:'兰屿乡'
},
3683:{3684:'花莲市',
3685:'凤林镇',
3686:'玉里镇',
3687:'新城乡',
3688:'吉安乡',
3689:'寿丰乡',
3690:'光复乡',
3691:'丰滨乡',
3692:'瑞穗乡',
3693:'富里乡',
3694:'秀林乡',
3695:'万荣乡',
3696:'卓溪乡'
},
3697:{3698:'马公市',
3699:'湖西乡',
3700:'白沙乡',
3701:'西屿乡',
3702:'望安乡',
3703:'七美乡'
},
3704:{3705:'金城镇',
3706:'金湖镇',
3707:'金沙镇',
3708:'金宁乡',
3709:'烈屿乡',
3710:'乌丘乡'
},
3711:{3712:'南竿乡',
3713:'北竿乡',
3714:'莒光乡',
3715:'东引乡'
},
3716:{3717:'香港岛',
3722:'九龙',
3728:'新界'
},
3717:{3718:'中西区',
3719:'湾仔区',
3720:'东区',
3721:'南区'
},
3722:{3723:'油尖旺区',
3724:'深水埗区',
3725:'九龙城区',
3726:'黄大仙区',
3727:'观塘区'
},
3728:{3729:'荃湾区',
3730:'屯门区',
3731:'元朗区',
3732:'北区',
3733:'大埔区',
3734:'西贡区',
3735:'沙田区',
3736:'葵青区',
3737:'离岛区'
},
3738:{3739:'澳门半岛',
3745:'氹仔岛',
3747:'路环岛'
},
3739:{3740:'花地玛堂区',
3741:'圣安多尼堂区',
3742:'大堂区',
3743:'望德堂区',
3744:'风顺堂区'
},
3745:{3746:'嘉模堂区'
},
3747:{3748:'圣方济各堂区'
}
};

  var WINDOW = typeof window !== 'undefined' ? window : {};
  var NAMESPACE = 'distpicker';
  var EVENT_CHANGE = 'change';

  var DEFAULT_CODE = 100000;
  var PROVINCE = 'province';
  var CITY = 'city';
  var DISTRICT = 'district';

  var Distpicker =
  /*#__PURE__*/
  function () {
    function Distpicker(element, options) {
      _classCallCheck(this, Distpicker);

      this.$element = $(element);
      this.options = $.extend({}, DEFAULTS, $.isPlainObject(options) && options);
      this.placeholders = $.extend({}, DEFAULTS);
      this.ready = false;
      this.init();
    }

    _createClass(Distpicker, [{
      key: "init",
      value: function init() {
        var _this = this;

        var options = this.options;
        var $selects = this.$element.find('select');
        var length = $selects.length;
        var data = {};
        $selects.each(function (i, select) {
          return $.extend(data, $(select).data());
        });
        $.each([PROVINCE, CITY, DISTRICT], function (i, type) {
          if (data[type]) {
            options[type] = data[type];
            _this["$".concat(type)] = $selects.filter("[data-".concat(type, "]"));
          } else {
            _this["$".concat(type)] = length > i ? $selects.eq(i) : null;
          }
        });
        this.bind(); // Reset all the selects (after event binding)

        this.reset();
        this.ready = true;
      }
    }, {
      key: "bind",
      value: function bind() {
        var _this2 = this;

        if (this.$province) {
          this.$province.on(EVENT_CHANGE, this.onChangeProvince = $.proxy(function () {
            _this2.output(CITY);

            _this2.output(DISTRICT, true);
          }, this));
        }

        if (this.$city) {
          this.$city.on(EVENT_CHANGE, this.onChangeCity = $.proxy(function () {
            return _this2.output(DISTRICT, true);
          }, this));
        }
      }
    }, {
      key: "unbind",
      value: function unbind() {
        if (this.$province) {
          this.$province.off(EVENT_CHANGE, this.onChangeProvince);
        }

        if (this.$city) {
          this.$city.off(EVENT_CHANGE, this.onChangeCity);
        }
      }
    }, {
      key: "output",
      value: function output(type) {
        var triggerEvent = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
        var options = this.options,
            placeholders = this.placeholders;
        var $select = this["$".concat(type)];

        if (!$select || !$select.length) {
          return;
        }

        var code;

        switch (type) {
          case PROVINCE:
            code = DEFAULT_CODE;
            break;

          case CITY:
            code = this.$province && (this.$province.find(':selected').data('code') || '');
            break;

          case DISTRICT:
            code = this.$city && (this.$city.find(':selected').data('code') || '');
            break;
        }

        var districts = this.getDistricts(code);
        var value = options[type];
        var data = [];
        var matched = false;

        if ($.isPlainObject(districts)) {
          $.each(districts, function (i, name) {
            var selected = name === value || i === String(value);

            if (selected) {
              matched = true;
            }

            data.push({
              name: name,
              selected: selected,
              code: i,
              value: options.valueType === 'name' ? name : i
            });
          });
        }

        if (!matched) {
          var autoselect = options.autoselect || options.autoSelect;

          if (data.length && (type === PROVINCE && autoselect > 0 || type === CITY && autoselect > 1 || type === DISTRICT && autoselect > 2)) {
            data[0].selected = true;
          } // Save the unmatched value as a placeholder at the first output


          if (!this.ready && value) {
            placeholders[type] = value;
          }
        } // Add placeholder option


        if (options.placeholder) {
          data.unshift({
            code: '',
            name: placeholders[type],
            value: '',
            selected: false
          });
        }

        if (data.length) {
          $select.html(this.getList(data));
        } else {
          $select.empty();
        }

        if (triggerEvent) {
          $select.trigger(EVENT_CHANGE);
        }
      } // eslint-disable-next-line class-methods-use-this

    }, {
      key: "getList",
      value: function getList(data) {
        var list = [];
        $.each(data, function (i, n) {
          var attrs = ["data-code=\"".concat(n.code, "\""), "data-text=\"".concat(n.name, "\""), "value=\"".concat(n.value, "\"")];

          if (n.selected) {
            attrs.push('selected');
          }

          list.push("<option ".concat(attrs.join(' '), ">").concat(n.name, "</option>"));
        });
        return list.join('');
      } // eslint-disable-next-line class-methods-use-this

    }, {
      key: "getDistricts",
      value: function getDistricts() {
        var code = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : DEFAULT_CODE;
        return DISTRICTS[code] || null;
      }
    }, {
      key: "reset",
      value: function reset(deep) {
        if (!deep) {
          this.output(PROVINCE);
          this.output(CITY);
          this.output(DISTRICT);
        } else if (this.$province) {
          this.$province.find(':first').prop('selected', true).end().trigger(EVENT_CHANGE);
        }
      }
    }, {
      key: "destroy",
      value: function destroy() {
        this.unbind();
      }
    }], [{
      key: "setDefaults",
      value: function setDefaults(options) {
        $.extend(DEFAULTS, $.isPlainObject(options) && options);
      }
    }]);

    return Distpicker;
  }();

  if ($.fn) {
    var AnotherDistpicker = $.fn.distpicker;

    $.fn.distpicker = function jQueryDistpicker(option) {
      for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
        args[_key - 1] = arguments[_key];
      }

      var result;
      this.each(function (i, element) {
        var $element = $(element);
        var isDestroy = option === 'destroy';
        var distpicker = $element.data(NAMESPACE);

        if (!distpicker) {
          if (isDestroy) {
            return;
          }

          var options = $.extend({}, $element.data(), $.isPlainObject(option) && option);
          distpicker = new Distpicker(element, options);
          $element.data(NAMESPACE, distpicker);
        }

        if (typeof option === 'string') {
          var fn = distpicker[option];

          if ($.isFunction(fn)) {
            result = fn.apply(distpicker, args);

            if (isDestroy) {
              $element.removeData(NAMESPACE);
            }
          }
        }
      });
      return typeof result === 'undefined' ? this : result;
    };

    $.fn.distpicker.Constructor = Distpicker;
    $.fn.distpicker.setDefaults = Distpicker.setDefaults;

    $.fn.distpicker.noConflict = function noConflict() {
      $.fn.distpicker = AnotherDistpicker;
      return this;
    };
  }

  if (WINDOW.document) {
    $(function () {
      $("[data-toggle=\"".concat(NAMESPACE, "\"]")).distpicker();
    });
  }

})));
